#include<bits/stdc++.h>
using namespace std;
const int nmax=1e3+42;
int n,m;
int good[nmax];
int bad[nmax];
vector< pair<int/*node*/,int/*value*/> > adj[nmax];
bool there[nmax];
bool is(int state,int which)
{
    return state&(1<<(which-1));
}
int query()
{
int best=0;
for(int state=0;state<(1<<n);state++)//0->good, 1->bad
{
    int now=0;
    for(int j=1;j<=n;j++)
        if(there[j]==1)
        {
            if(is(state,j))now=now+bad[j];
            else now=now+good[j];
        }
    int rem=0;
    for(int j=1;j<=n;j++)
        for(auto k:adj[j])
        if(there[j]&&there[k.first]&&is(state,j)!=is(state,k.first))
            rem=rem+k.second;
best=max(best,now-rem/2);
}
return best;
}
int main()
{
ios_base::sync_with_stdio(false);
cin.tie();
cout.tie();

cin>>n>>m;
for(int i=1;i<=n;i++)cin>>good[i];
for(int i=1;i<=n;i++)cin>>bad[i];

for(int i=1;i<=n;i++)there[i]=1;

int x,y,c;
for(int i=1;i<=m;i++)
{
    cin>>x>>y>>c;
    adj[x].push_back({y,c});
    adj[y].push_back({x,c});
}
cout<<query()<<endl;
int q;
cin>>q;

int type=1;
for(int i=1;i<=q;i++)
{
    cin>>type;
    if(type==3)
    {
        for(int j=1;j<=n;j++)
            there[j]=1;
    }
    if(type==4)
    {
        for(int j=1;j<=n/5;j++)
            there[j]=0;
    }
    if(type==2)
    {
        cin>>x;
        there[x]=0;
        cout<<query()<<endl;
    }
    if(type==1)
    {
        cin>>x;
        there[x]=1;
        cout<<query()<<endl;
    }
}
return 0;
}
/*
5 4
10 15 22 20 31
10 14 10 25 31
1 4 10
2 4 10
1 3 2
4 5 10
7
2 5
2 4
1 4
2 1
3
4
2 5
*/
