#include<iostream>
using namespace std;
const int maxn = 1000, maxm = 10000;
int n, m, q;
pair<pair<int,int> , int> e[maxm];
int p1[maxn];
int p2[maxn];
bool good[maxn];
bool used[maxn];

int eval()
{
    int ans = 0;
    for(int i = 0; i < n; i ++)
    {
        if(used[i])
        {
            if(good[i]) ans += p1[i];
            else    ans += p2[i];
        }
    }
    for(int i = 0; i < m; i ++)
    {
        int a = e[i].first.first, b = e[i].first.second;
        if(used[a] && used[b] && good[a] != good[b]) ans -= e[i].second;
    }
    return ans;
}
int fnd()
{
    int best = -1;
    for(int i = 0; i < (1 << n); i ++)
    {
        for(int j = 0; j < n; j ++)
        {
            good[j] = ((1 << j) & i) != 0;
        }

        //for(int j = 0; j < n; j ++) cout << good[j];
        //cout << " " << eval() << endl;

        best = max(best, eval());
    }
    return best;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> m;
    for(int i = 0; i < n; i ++)
    {
        cin >> p1[i];
    }
    for(int i = 0; i < n; i ++)
    {
        cin >> p2[i];
        used[i] = true;
    }
    for(int i = 0; i < m; i ++)
    {
        cin >> e[i].first.first >> e[i].first.second >> e[i].second;
        e[i].first.first--;e[i].first.second--;
    }
    cout << fnd() << "\n";
    cin >> q;
    for(int i = 0; i < q; i ++)
    {
        int a, b;
        cin >> a;
        if(a <= 2)
        {
            cin >> b;
            b--;
        }
        switch(a)
        {
        case 1:
            used[b] = true;
            break;
        case 2:
            used[b] = false;
            break;
        case 3:
            for(int j = 0; j < n; j ++)
            {
                used[j] = true;
            }
            break;
        case 4:
            for(int j = 0; j < n / 5; j ++)
            {
                used[j] = false;
            }
        }
        if(a <= 2)
        {
            cout << fnd() << "\n";
        }
    }
}
