#include<iostream>
#include<queue>
using namespace std;
const int maxn = 2000;
struct state
{
    int all, other, winner;
};
state dp[2][maxn][maxn];
void solve()
{
    int n, L, B, k;
    cin >> n >> L >> B >> k;
    for(int i = 0; i < n; i ++)
    {
        for(int j = 0; j < n; j ++)
        {
            if(true)
            {
                dp[0][i][j] = {min(L, n - i - 1),0,-1};
                dp[1][i][j] = {min(B, n - j - 1),0,-1};
            }
        }
    }
    queue<pair<bool,pair<int,int> > > q;
    for(int i = 0; i < n - 1; i ++)
    {
        dp[1][n - 1][i].winner = 0;
        q.push({1,{n - 1, i}});
    }


    for(int i = 0; i < n - 1; i ++)
    {
        dp[0][i][n - 1].winner = 1;
        q.push({0, {i, n - 1}});
    }

    while(!q.empty())
    {
        bool turn = q.front().first;
        int a = q.front().second.first, b = q.front().second.second;
        q.pop();
        if(turn == 1)
        {
            for(int j = max(0, a - L); j < a; j ++)
            {
                if((j != b || b == 0) && dp[!turn][j][b].winner == -1)
                {
                    if(turn != dp[turn][a][b].winner)
                    {
                        dp[!turn][j][b].winner = dp[turn][a][b].winner;
                        q.push({!turn, {j, b}});
                    } else {
                        dp[!turn][j][b].other ++;
                        if(dp[!turn][j][b].other == dp[!turn][j][b].all)
                        {
                            dp[!turn][j][b].winner = dp[turn][a][b].winner;
                            q.push({!turn, {j,b}});
                        }
                    }
                }
                if(a == b + k && dp[!turn][j][a].winner == -1)
                {
                    if(turn != dp[turn][a][b].winner)
                    {
                        dp[!turn][j][a].winner = dp[turn][a][b].winner;
                        q.push({!turn, {j, a}});
                    } else {
                        dp[!turn][j][a].other ++;
                        if(dp[!turn][j][a].other == dp[!turn][j][a].all)
                        {
                            dp[!turn][j][a].winner = dp[turn][a][b].winner;
                            q.push({!turn, {j,a}});
                        }
                    }
                }
            }
        } else {
            for(int j = max(0, b - B); j < b; j ++)
            {
                if((j != a || a == 0) && dp[!turn][a][j].winner == -1)
                {
                    if(turn != dp[turn][a][b].winner)
                    {
                        dp[!turn][a][j].winner = dp[turn][a][b].winner;
                        q.push({!turn, {a, j}});
                    } else {
                        dp[!turn][a][j].other ++;
                        if(dp[!turn][a][j].other == dp[!turn][a][j].all)
                        {
                            dp[!turn][a][j].winner = dp[turn][a][b].winner;
                            q.push({!turn, {a,j}});
                        }
                    }
                }
                if(b == a + k && dp[!turn][b][j].winner == -1)
                {
                    if(turn != dp[turn][a][b].winner)
                    {
                        dp[!turn][b][j].winner = dp[turn][a][b].winner;
                        q.push({!turn, {b, j}});
                    } else {
                        dp[!turn][j][a].other ++;
                        if(dp[!turn][b][j].other == dp[!turn][b][j].all)
                        {
                            dp[!turn][b][j].winner = dp[turn][a][b].winner;
                            q.push({!turn, {b,j}});
                        }
                    }
                }
            }
        }
    }
/*
    cout << endl;
    for(int i = 0; i < 2; i ++)
    {
        for(int j = 0; j < n; j ++)
        {
            for(int l = 0; l < n; l ++)
            {
                cout << dp[i][j][l].winner << "\t";
            }
            cout << endl;
        }
        cout << endl;
    }
    cout << endl;
*/
    switch(dp[0][0][0].winner)
    {
    case -1:
        cout << "Draw\n";
        break;
    case 0:
        cout << "Lora\n";
        break;
    case 1:
        cout << "Bobi\n";
        break;
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    for(int i = 0; i < t; i ++)
    {
        solve();
    }
}
/*
1
10 4 3 2
*/
