#include <bits/stdc++.h>

const int32_t MAX_N = 1e3;
const int32_t MAX_M = 1e5;

int32_t a[3][MAX_N + 5], u[MAX_M + 5], v[MAX_M + 5], t[MAX_M + 5];
int32_t groupOf[MAX_N + 5];
std::vector< std::pair< int32_t, int32_t > > g[MAX_N + 5];

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);

	int32_t n, m;
	std::cin >> n >> m;

	for(int32_t i = 1; i <= n; i++) {
		std::cin >> a[0][i];
	}

	for(int32_t i = 1; i <= n; i++) {
		std::cin >> a[1][i];
	
		if(a[0][i] >= a[1][i]) {
			groupOf[i] = 0;
		}
		else {
			groupOf[i] = 1;
		}
	}

	for(int32_t i = 0; i < m; i++) {
		std::cin >> u[i] >> v[i] >> t[i];	
	
		g[u[i]].push_back({ v[i], t[i] });
		g[v[i]].push_back({ u[i], t[i] });
	}

	while(1) {
		bool isFlipped = false;
		int32_t maxPossibleChange = 0, nodeToChange = -1;
		
		for(int32_t i = 1; i <= n; i++) {
			maxPossibleChange += a[(groupOf[i] ^ 1)][i] - a[groupOf[i]][i];
		}
		
		int32_t aux = maxPossibleChange;
		maxPossibleChange = std::max(maxPossibleChange, 0);

		for(int32_t i = 0; i < m; i++) {
			int32_t currChange = a[(groupOf[u[i]] ^ 1)][u[i]] - a[groupOf[u[i]]][u[i]];
			int32_t currChangeFlipped = aux - currChange;

			for(auto &x : g[u[i]]) {
				if(groupOf[x.first] != groupOf[u[i]]) {
					currChange += x.second;
					currChangeFlipped += x.second;
				}
				else {
					currChange -= x.second;
					currChangeFlipped -= x.second;
				}
			}
			
			if(currChange > maxPossibleChange) {
				maxPossibleChange = currChange;
				nodeToChange = u[i];
				isFlipped = false;
			}
			if(currChangeFlipped > maxPossibleChange) {
				maxPossibleChange = currChangeFlipped;
				nodeToChange = u[i];
				isFlipped = true;
			}

			currChange = a[(groupOf[v[i]] ^ 1)][v[i]] - a[groupOf[v[i]]][v[i]];
			currChangeFlipped = aux - currChange;
			for(auto &x : g[v[i]]) {
				if(groupOf[x.first] != groupOf[v[i]]) {
					currChange += x.second;
					currChangeFlipped += x.second;
				}
				else {
					currChange -= x.second;
					currChangeFlipped -= x.second;
				}
			}

			if(currChange > maxPossibleChange) {
				maxPossibleChange = currChange;
				nodeToChange = v[i];
				isFlipped = false;
			}
			if(currChangeFlipped > maxPossibleChange) {
				maxPossibleChange = currChangeFlipped;
				nodeToChange = v[i];
				isFlipped = true;
			}
		}

		if(maxPossibleChange > 0 && nodeToChange == -1) {
			//std::cout << maxPossibleChange << '\n';
			
			for(int32_t i = 1; i <= n; i++) {
				groupOf[i] ^= 1;
			}

			continue;
		}
		
		//std::cout << maxPossibleChange << " " << nodeToChange << '\n';
		if(nodeToChange == -1) {
			break;
		}

		if(isFlipped) {
			for(int32_t i = 1; i <= n; i++) {
				if(i != nodeToChange) {
					groupOf[i] ^= 1;
				}
			}
		}
		else {
			groupOf[nodeToChange] ^= 1;
		}
	}
	
	int32_t q;
	std::cin >> q;

	int32_t ans = 0;
	for(int32_t i = 0; i < m; i++) {
		if(groupOf[u[i]] != groupOf[v[i]]) {
			ans -= t[i];
		}
	}

	for(int32_t i = 1; i <= n; i++) {
		ans += a[groupOf[i]][i];
	}

	std::cout << ans << '\n';
}
