#include<iostream>
#include<cstring>
using namespace std;
int n,l,b,k;
int lWin[2005][2005];
int bWin[2005][2005];
bool usedL[2005][2005],usedB[2005][2005];
int lora (int posl, int posb);
int bobi (int posl, int posb);


int lora (int posl, int posb)
{
    //cout<<"lora "<<posl<<' '<<posb<<'\n';

    if (lWin[posl][posb]!=-1)
        return lWin[posl][posb];

    if (lWin[posl][posb]==-1 && usedL[posl][posb])
        return -1;
    usedL[posl][posb]=true;

    bool draw=false;
    for (int i=1; i<=l; i++)
    {
        int newposl=posl+i,newposb;
        if (newposl>n)
            break;
        if (newposl==posb)
            newposb=max(1,posb-k);
        else
            newposb=posb;

        int z=bobi(newposl,newposb);
        if (z==0)
        {
            lWin[posl][posb]=1;
            return 1;
        }
        if (z==-1)
            draw=true;
    }
    if (draw)
        return -1;
    lWin[posl][posb]=0;
    return 0;
}


int bobi (int posl, int posb)
{
    //cout<<"bobi "<<posl<<' '<<posb<<'\n';

    if (bWin[posl][posb]!=-1)
        return bWin[posl][posb];

    if (usedB[posl][posb] && bWin[posl][posb]==-1)
        return -1;
    usedB[posl][posb]=true;

    bool draw=false;
    for (int i=1; i<=b; i++)
    {
        int newposb=posb+i,newposl;
        if (newposb>n)
            break;

        if (newposb==posl)
            newposl=max(1,posl-k);
        else
            newposl=posl;

        int z=lora(newposl,newposb);
        if (z==-1)
            draw=true;
        if (z==0)
        {
            bWin[posl][posb]=1;
            return 1;
        }
    }
    if (draw)
        return -1;
    bWin[posl][posb]=0;
    return 0;
}


int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin>>t;
    for (int ii=0; ii<t; ii++)
    {
        cin>>n>>l>>b>>k;
        memset(usedL,0,sizeof(usedL));
        memset(usedB,0,sizeof(usedB));
        memset(lWin,-1,sizeof(lWin));
        memset(bWin,-1,sizeof(bWin));


        for (int i=n-l; i<=n; i++)
            for (int j=1; j<n; j++)
            {
                if (i!=j)
                    lWin[i][j]=1;
            }

        for (int i=1; i<n; i++)
            for (int j=n-b; j<=n; j++)
            {
                if (i!=j)
                    bWin[i][j]=1;
            }

        int z=lora(1,1);
        if (z==0)
            cout<<"Bobi\n";
        if (z==1)
            cout<<"Lora\n";
        if (z==-1)
            cout<<"Draw\n";

//        cout<<"\nlora\n";
//        for (int i=1; i<=n; i++)
//        {
//            for (int j=1; j<=n; j++)
//            {
//                if (lWin[i][j]!=-1)
//                    cout<<' ';
//                cout<<lWin[i][j]<<' ';
//            }
//            cout<<'\n';
//        }
//
//        cout<<"\nbobi\n";
//        for (int i=1; i<=n; i++)
//        {
//            for (int j=1; j<=n; j++)
//            {
//                if (bWin[i][j]!=-1)
//                    cout<<' ';
//                cout<<bWin[i][j]<<' ';
//            }
//            cout<<'\n';
//        }
    }
}
