#include <iostream>
#include <set>
#include <vector>
using namespace std;

const int INF=(1e9);
const int N=55;

int good[N],bad[N];
int u[N],v[N],value[N];
bool tempgood[N];

vector <int> gv,bv;

set <int> part,out;
set <int> :: iterator it;

int n,m;

int Solve()
{
 int limit,ans;
 int mask,i,score;

 ans=-INF;
 limit=(1<<n);
  for(mask=0;mask<limit;mask++)
  {
   gv.clear();
   bv.clear();

    for(i=1;i<=n;i++)
     tempgood[i]=false;

    for(i=0;i<n;i++)
    {
     if((mask&(1<<i))!=0)
     {
      gv.push_back(i+1);
      tempgood[i+1]=true;
     }
     else
      bv.push_back(i+1);
    }

   score=0;
    for(i=0;i<gv.size();i++)
    {
      if(part.find(gv[i])!=part.end())
       score+=good[gv[i]];
    }

    for(i=0;i<bv.size();i++)
    {
      if(part.find(bv[i])!=part.end())
       score+=bad[bv[i]];
    }

    for(i=1;i<=m;i++)
    {
      if(part.find(u[i])==part.end())
       continue;

      if(part.find(v[i])==part.end())
       continue;

      if((tempgood[u[i]] && !tempgood[v[i]]) || (!tempgood[u[i]] && tempgood[v[i]]))
       score-=value[i];
    }

   ans=max(ans,score);
  }

 return ans;
}

int main()
{

ios::sync_with_stdio(false);
cin.tie(nullptr);

int i,q,query,x,ans,type;

cin>>n>>m;

 for(i=1;i<=n;i++)
  cin>>good[i];

 for(i=1;i<=n;i++)
  cin>>bad[i];

 for(i=1;i<=m;i++)
  cin>>u[i]>>v[i]>>value[i];

 for(i=1;i<=n;i++)
  part.insert(i);

ans=Solve();

cout<<ans<<"\n";

cin>>q;

 for(query=1;query<=q;query++)
 {
  cin>>type;

   if(type==1)
   {
    cin>>x;
    out.erase(x);
    part.insert(x);
    ans=Solve();
    cout<<ans<<"\n";
   }

   if(type==2)
   {
    cin>>x;
    part.erase(x);
    out.insert(x);
    ans=Solve();
    cout<<ans<<"\n";
   }

   if(type==3)
   {
     for(it=out.begin();it!=out.end();it++)
      part.insert((*it));

    out.clear();
   }

   if(type==4)
   {
     for(i=1;i<=n/5;i++)
     {
      if(part.find(i)!=part.end())
      {
       part.erase(i);
       out.insert(i);
      }
     }
   }
 }

return 0;
}
