#pragma GCC optimize "Ofast"
#include <iostream>

const int _M = 11;

bool isCalced[_M][_M][_M][_M];
bool inProgress[_M][_M][_M][_M];
int result[_M][_M][_M][_M];

int sol(int n, int lenF, int lenS, int penalty, int pf, int ps, int depth) {
#define AC [lenF][lenS][pf][ps]
	if(pf >= n and ps >= n) {
		std::cerr << "something is wrong" << std::endl;
	}

	//std::string indent(depth, ' ');
	//std::cout << indent << pf << " " << ps << std::endl;

	if(isCalced AC) {
		//std::cout << indent << pf << " " << ps;
		//std::cout << " --- " << result AC << std::endl;
		return result AC;
	}
	if(inProgress AC) {
		//std::cout << indent << pf << " " << ps;
		//std::cout << " --- " << 0 << std::endl;
		return 0; // TODO
	}

	inProgress AC = true;

	if(pf >= n) return 1;
	if(ps >= n) return 2;

	int best = 2;
	for(int jf = 1;jf <= lenF;jf ++) {
		const int npf = pf + jf;

		int nps = ps;
		if(npf == ps) nps -= penalty;
		if(nps <= 0)  nps = 1;

		int r = sol(n, lenS, lenF, penalty, nps, npf, depth+1);
		if(r == 2) {
			best = 1;
			break;
		}
		if(r == 0) {
			if(best == 2) best = 0;
		}
	}

	inProgress AC = false;
	isCalced AC = true;
	result AC = best;

	//std::cout << indent << pf << " " << ps;
	//std::cout << " --- " << result AC << std::endl;

	return best;
}

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);

	//std::cout << sol(4, 2, 2, 2, 1, 1, 0) << std::endl; // 0
	//std::cout << sol(5, 2, 3, 1, 1, 1, 0) << std::endl; // 2
	//std::cout << sol(10, 4, 3, 2, 1, 1, 0) << std::endl; // 1

	int t;
	std::cin >> t;
	while(t --> 0) {
		int n, l, b, k;
		std::cin >> n >> l >> b >> k;
		int r = sol(n, l, b, k, 1, 1, 0);
		if(r == 0) { std::cout << "Draw\n"; }
		if(r == 1) { std::cout << "Lora\n"; }
		if(r == 2) { std::cout << "Bobi\n"; }
	}
	return 0;
}
