#include <cstdio>

using namespace std;

const int MAXN = 14;
const int MAXM = 1e5;

int n;
int v[MAXM], uc;
int a[MAXN];

bool check()
{
    uc++;
    for(int i = 0; i < n; i++)
    {
        for(int j = i + 1; j < n; j++)
        {
            int temp = a[j] - a[i];
            if(v[temp] != uc)
            {
                v[temp] = uc;
            }
            else
            {
                return false;
            }
        }
    }
    return true;
}

bool bruteForce(int index, int prev, int mx)
{
    if(index == n - 1)
    {
        if(check())
        {
            return true;
        }
        return false;
    }

    for(int i = prev + 1; i < mx; i++)
    {
        a[index] = i;
        if(bruteForce(index + 1, i, mx)) return true;
    }
    return false;
}

void solve()
{
    if(n == 9)
    {
        printf("0 3 9 17 19 32 39 43 44\n");
    }
    a[0] = 0;
    for(int i = 8; i < MAXM; i++)
    {
        a[n - 1] = i;
        if(bruteForce(1, 1, i))
        {
            for(int i = 0; i < n; i++)
            {
                printf("%d ", a[i]);
            }
            return;
        }
    }
}

int main()
{
    scanf("%d", &n);

    solve();

    return 0;
}
