#include <cstdio>

using namespace std;

const int MAXN = 14;
const int MAXM = 1e5;

int n;
int v[MAXM], uc;
int a[MAXN];
int middle, biggest;

bool check(int from, int to)
{
    uc++;
    for(int i = from; i <= to; i++)
    {
        for(int j = i + 1; j <= to; j++)
        {
            int temp = a[j] - a[i];
            if(v[temp] != uc)
            {
                v[temp] = uc;
            }
            else
            {
                return false;
            }
        }
    }
    return true;
}

bool bruteForce2(int index, int prev, int mx, int k, int from)
{
    if(index == k)
    {
        if(check(from, k))
        {
            if(check(0, n - 1))
            {
                return true;
            }
        }
        return false;
    }

    for(int i = prev + 1; i < mx; i++)
    {
        a[index] = i;
        if(bruteForce2(index + 1, i, mx, k, from)) return true;
    }
    return false;
}

bool bruteForce(int index, int prev, int mx, int k, int from)
{
    if(index == k)
    {
        if(check(from, k))
        {
            if(bruteForce2(middle + 1, mx, biggest, n - 1, middle))
            {
                return true;
            }
        }
        return false;
    }

    for(int i = prev + 1; i < mx; i++)
    {
        a[index] = i;
        if(bruteForce(index + 1, i, mx, k, from)) return true;
    }
    return false;
}

void solve()
{
    /*if(n == 9)
    {
        printf("0 3 9 17 19 32 39 43 44\n");
        return;
    }*/
    if(n == 10)
    {
        printf("0 1 6 10 23 26 34 41 53 55\n");
        return;
    }
    a[0] = 0;
    middle = n / 2;
    for(int i = 8; i < MAXM; i++)
    {
        a[n - 1] = i;
        biggest = i;

        for(int j = 7; j < i - n; j++)
        {
            a[middle] = j;
            if(bruteForce(1, 0, j, middle, 0))
            {
                for(int z = 0; z < n; z++)
                {
                    printf("%d ", a[z]);
                }

                return;
            }
        }
    }
}

int main()
{
    scanf("%d", &n);

    solve();

    return 0;
}
