#include <bits/stdc++.h>

using namespace std;

//#define fin cin
//#define fout cout
ifstream fin ("x.in"); ofstream fout ("x.out");

const int nmax = 2e3;

int n, l, b, p;

bitset<nmax * nmax * 2 + 1> viz;
char d[nmax * nmax * 2 + 1];
int cate[nmax * nmax * 2 + 1];

vector <int> nodes;
vector <int> g[nmax * nmax * 2 + 1];

inline int ind (int x, int y, int cine) {
    return ((x - 1) * n + y - 1) * 2 + cine;
}

void trage_muchie (int x, int y) { // starea x se duce in y
    g[y].push_back(x); // lucram pe graful transpus
}

void dfs (int i, int j, int dr) {
    int x = ind(i, j, dr);

    if (viz[x] == 1)
        return ;

    viz[x] = 1;
    nodes.push_back(x);

    if (i == n || j == n)
        return ;

    if (dr == 0) {
        for (int k = 1; k <= l && i + k <= n; ++ k) {
            int y = i + k;
            if (x != j) {
                trage_muchie(x, ind(y, j, 1));
                dfs(y, j, 1);
            } else {
                trage_muchie(x, ind(y, max(1, y - p), 1));
                dfs(y, max(y - p, 1), 1);
            }
        }
    } else {
        for (int k = 1; k <= b && j + k <= n; ++ k) {
            int y = j + k;
            if (y != i) {
                trage_muchie(x, ind(i, y, 0));
                dfs(i, y, 0);
             } else {
                trage_muchie(x, ind(max(1, y - p), y, 0));
                dfs(max(1, y - p), y, 0);
             }
        }
    }
}

void solve () {
    fin >> n >> l >> b >> p;
    //fa_graf();
    dfs(1, 1, 0);

    for (auto i : nodes) {
        d[i] = -1;
        cate[i] = 0;
    }

    for (auto i : nodes) {
        for (auto j : g[i])
            ++ cate[j];
    }

    queue<int> q;

    for (int i = 1; i < n; ++ i) { // starile castigatoare
        if (viz[ind(i, n, 1)]) {
            q.push(ind(i, n, 1));
            d[ind(i, n, 1)] = 1;
        }
        if (viz[ind(i, n, 0)]) {
            q.push(ind(i, n, 0));
            d[ind(i, n, 0)] = 0;
        }

        if (viz[ind(n, i, 0)]) {
            q.push(ind(n, i, 0));
            d[ind(n, i, 0)] = 1;
        }

        if (viz[ind(n, i, 1)]) {
            q.push(ind(n, i, 1));
            d[ind(n, i, 1)] = 0;
        }
    }

    while (!q.empty() && d[0] == -1) {
        int x = q.front();
        q.pop();

        if (d[x] == 0) {
            for (auto i : g[x]) {
                if (d[i] == -1) {
                    d[i] = 1;

                    q.push(i);
                }
            }
        } else {
            for (auto i : g[x]) {
                if (d[i] == -1) {
                    -- cate[i];
                    if (cate[i] == 0) {
                        d[i] = 0;

                        q.push(i);
                    }
                }
            }
        }
    }

    int ok = d[0];
    if (ok == 1) {
        fout << "Lora\n";
    } else if (ok == -1) {
        fout << "Draw\n";
    } else if (ok == 0) {
        fout << "Bobi\n";
    }

    for (auto i : nodes) {
        g[i].clear();
        viz[i] = 0;
    }
}

int main () {
    int t;

    fin >> t;

    while (t --) {
        solve();
    }
    return 0;
}

