#include <bits/stdc++.h>

using namespace std;

#define fin cin
#define fout cout
//ifstream fin ("x.in"); ofstream fout ("x.out");

const int nmax = 1e3 + 5;
const int mmax = 1e5 + 2 * nmax;

struct edge {
    int x, cap, flux, indop;
} v[2 * mmax + 1];
vector<int> g[nmax + 1];
/// atentie la capacitati zero

bool active[nmax + 1];

int n, S, D, nrm;
int tata[nmax + 1], intra[nmax + 1];

int good[nmax + 1], bad[nmax + 1];

void trage_muchie (int x, int y, int cap) {
    ++ nrm;
    v[nrm].x = y;
    v[nrm].cap = cap;
    v[nrm].flux = 0;
    v[nrm].indop = nrm + 1;
    g[x].push_back(nrm);

    ++ nrm;
    v[nrm].x = x;
    v[nrm].cap = 0;
    v[nrm].flux = 0;
    v[nrm].indop = nrm - 1;
    g[y].push_back(nrm);
}

void citire_si_graf() {
    int m;
    fin >> n >> m;

    S = n + 1;
    D = S + 1;

    for (int i = 1; i <= n; ++ i) {
        fin >> good[i];
        trage_muchie(S, i, good[i]);
    }
    for (int i = 1; i <= n; ++ i) {
        fin >> bad[i];
        trage_muchie(i, D, bad[i]);
    }

    for (int i = 1; i <= m; ++ i) {
        int x, y, t;
        fin >> x >> y >> t;

        trage_muchie(x, y, t);
        trage_muchie(y, x, t);
    }
}

bool bfs () {
    for (int i = 1; i <= D; ++ i) {
        tata[i] = intra[i] = -1;
    }

    queue<int> q;
    q.push(S);
    while (!q.empty()) {
        int x = q.front();
        q.pop();

        for (auto i : g[x]) {
            if (tata[v[i].x] == -1 && v[i].flux < v[i].cap && active[v[i].x] == 1) {
                tata[v[i].x] = x;
                intra[v[i].x] = i;
                q.push(v[i].x);
            }
        }
    }

    return (tata[D] != -1);
}

int min_cut () {
    for (int i = 1; i <= nrm; ++ i)
        v[i].flux = 0;

    int ans = 0;

    while (bfs()) {
        for (auto i : g[D]) {
            if (tata[v[i].x] != -1 && v[v[i].indop].flux < v[v[i].indop].cap) {
                int mn = v[v[i].indop].cap - v[v[i].indop].flux;
                for (int x = v[i].x; x != S; x = tata[x])
                    mn = min(mn, v[intra[x]].cap - v[intra[x]].flux);

                ans += mn;
                v[v[i].indop].flux += mn;
                v[i].flux -= mn;

                for (int x = v[i].x; x != S; x = tata[x]) {
                    v[intra[x]].flux += mn;
                    v[v[intra[x]].indop].flux -= mn;
                }
            }
        }
    }
    return ans;
}

void solve () {
    int ans = 0;
    for (int i = 1; i <= n; ++ i) {
        if (active[i])
            ans += good[i] + bad[i];
    }

    fout << ans - min_cut() << "\n";
}

int main () {
    citire_si_graf();

    for (int i = 1; i <= D; ++ i)
        active[i] = 1;

    solve();

    int q;
    fin >> q;

    while (q --) {
        int tip, x;
        fin >> tip;

        if (tip == 1 || tip == 2) {
            fin >> x;
            active[x] = !active[x];
            solve();
        } else if (tip == 3) {
            for (int i = 1; i <= n; ++ i)
                active[i] = 1;
        } else {
            for (int i = 1; i <= n / 5; ++ i)
                active[i] = 0;
        }
    }

    return 0;
}

