#include<bits/stdc++.h>

using namespace std;

vector<int>G[1005];

int cr[1005][1005];

void addEdge(int x, int y, int z) {
  cr[x][y] = z;
  G[x].push_back(y);
  G[y].push_back(x);
}

int from[2005];

int bfs(int s, int d, int n) {
  queue<int>q;
  q.push(s);
  for (int i = 1; i <= n; ++i)
    from[i] = -1;
  from[s] = 0;
  while (!q.empty() && from[d] == -1) {
    int x = q.front();
    q.pop();
    for (auto it:G[x]) {
      if (from[it] == -1 && cr[x][it]) {
        q.push(it);
        from[it] = x;
      }
    }
  }
  return from[d];
}

int mf(int s, int d, int n) {
  int ans = 0;
  while (bfs(s, d, n) != -1) {
    for (auto it:G[d]) {
      if (from[it] != -1 && cr[it][d]) {
        int m = cr[it][d];
        int x = it;
        while (x != s) {
          m = min(m, cr[from[x]][x]);
          x = from[x];
        }
        cr[it][d] -= m;
        cr[d][it] += m;
        x = it;
        while (x != s) {
          cr[from[x]][x] -= m;
          cr[x][from[x]] += m;
          x = from[x];
        }
        ans += m;
      }
    }
  }
  return ans;
}

int main() {
  //freopen("date.in", "r", stdin);
  //freopen("date.out", "w", stdout);

  int n, m;
  scanf("%d%d", &n, &m);

  int ans = 0;
  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    ans += x;
    addEdge(1, i + 1, x);
  }

  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    ans += x;
    addEdge(i + 1, n + 2, x);
  }

  for (int i = 1; i <= m; ++i) {
    int u, v, x;
    scanf("%d%d%d", &u, &v, &x);
    addEdge(u + 1, v + 1, x);
    addEdge(v + 1, u + 1, x);
  }

  printf("%d\n", ans - mf(1, n + 2, n + 2));
}
