#include<bits/stdc++.h>

using namespace std;

vector<int>G[1005];
vector<int>G1[1005];

int cr[1005][1005];

void addEdge(int x, int y, int z) {
  cr[x][y] = z;
  G[x].push_back(y);
  G[y].push_back(x);
}

int from[1005];
int aux;

int bfs(int s, int d, int n) {
  queue<int>q;
  q.push(s);
  for (int i = 1; i <= n; ++i)
    from[i] = -1;
  from[s] = 0;
  while (!q.empty()) {
    int x = q.front();
    q.pop();
    for (auto it:G[x]) {
      if (from[it] == -1 && cr[x][it]) {
        q.push(it);
        from[it] = x;
      }
    }
  }
  return from[d];
}

int mf(int s, int d, int n) {
  int ans = 0;
  while (bfs(s, d, n) != -1) {
    for (auto it:G[d]) {
      if (from[it] != -1 && cr[it][d]) {
        int m = cr[it][d];
        int x = it;
        while (x != s) {
          m = min(m, cr[from[x]][x]);
          x = from[x];
        }
        cr[it][d] -= m;
        cr[d][it] += m;
        x = it;
        while (x != s) {
          cr[from[x]][x] -= m;
          cr[x][from[x]] += m;
          x = from[x];
        }
        ans += m;
      }
    }
  }
  aux += ans;
  return aux;
}

bool ac[1005];
int g[1005], b[1005];
int x1[100005], yy1[100005], t1[100005];

void get(int n, int m) {
  for (int i = 1; i <= n + 2; ++i)
    for (int j = 1; j <= n + 2; ++j)
      cr[i][j] = 0;
  for (int i = 1; i <= n; ++i)
    G[i].clear();
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      addEdge(1, i + 1, g[i]);
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      addEdge(i + 1, n + 2, b[i]);
  for (int i = 1; i <= m; ++i)
    if (!ac[x1[i]] && !ac[yy1[i]]) {
      int u = x1[i];
      int v = yy1[i];
      int x = t1[i];
      addEdge(u + 1, v + 1, x);
      addEdge(v + 1, u + 1, x);
    }
}

int solve(int n, int m) {
  int ans = 0;
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      ans += g[i] + b[i];
  return ans - mf(1, n + 2, n + 2);
}

void add(int x, int n) {
  if (ac[x]) {
    ac[x] = 0;
    addEdge(1, x + 1, g[x]);
    addEdge(x + 1, n + 2, b[x]);
    for (auto it:G1[x]) {
      int other = x1[it] ^ yy1[it] ^ x;
      if (!ac[other]) {
        addEdge(x + 1, other + 1, t1[it]);
        addEdge(other + 1, x + 1, t1[it]);
      }
    }
  }
}

void calc(int n, int m) {
  int ns = (1 << n);
  int ans = 0;
  for (int i = 0; i < ns; ++i) {
    int aux = 0;
    for (int j = 0; j < n; ++j)
      if (!ac[j + 1] && (i & (1 << j)))
        aux += g[j + 1];
      else if (!ac[j + 1])
        aux += b[j + 1];
    for (int j = 1; j <= m; ++j)
      if (!ac[x1[j]] && !ac[yy1[j]]) {
        int l1 = (i & (1 << (x1[j] - 1)));
        int c1 = (i & (1 << (yy1[j] - 1)));
        l1 = (l1 > 0);
        c1 = (c1 > 0);
        if (l1 != c1)
          aux -= t1[j];
      }
    ans = max(ans, aux);
  }
  printf("%d\n", ans);
}

int qr[10005];
int s[10005];

int main() {
  //freopen("date.in", "r", stdin);
  //freopen("date.out", "w", stdout);

  int n, m;
  scanf("%d%d", &n, &m);

  int ans = 0;
  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    g[i] = x;
    ans += x;
  }

  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    b[i] = x;
    ans += x;
  }

  for (int i = 1; i <= m; ++i) {
    int u, v, x;
    scanf("%d%d%d", &u, &v, &x);
    x1[i] = u;
    yy1[i] = v;
    t1[i] = x;
    G1[u].push_back(i);
    G1[v].push_back(i);
  }

  get(n, m);
  printf("%d\n", solve(n, m));

  int q;
  scanf("%d", &q);

  if (n <= 10 && m <= 45 && q <= 100) {
    for (int i = 1; i <= q; ++i) {
      int t;
      scanf("%d", &t);
      if (t == 1) {
        int w;
        scanf("%d", &w);
        ac[w] = 0;
        calc(n, m);
      } else if (t == 2) {
        int w;
        scanf("%d", &w);
        ac[w] = 1;
        calc(n, m);
      } else if (t == 3) {
        for (int j = 1; j <= n; ++j)
          ac[j] = 0;
      } else if (t == 4) {
        for (int j = 1; j <= n / 5; ++j)
          ac[j] = 1;
      }
    }
    return 0;
  }

  int t;
  scanf("%d", &t);
  for (int i = 1; i <= q;) {
    int k1 = 0, k2 = 0;
    while (i <= q && (t == 2 || t == 4)) {
      if (t == 2) {
        int x;
        scanf("%d", &x);
        ac[x] = 1;
        qr[++k1] = x;
      } else {
        for (int j = 1; j <= n / 5; ++j)
          ac[j] = 1;
        qr[++k1] = -1;
      }
      if (i < q)
        scanf("%d", &t);
      i++;
    }
    aux = 0;
    get(n, m);
    for (int r = k1; r >= 1; --r) {
      int it = qr[r];
      int aa = solve(n, m);
      if (it == -1) {
        for (int j = 1; j <= n / 5; ++j)
          add(j, n);
      } else {
        s[++k2] = aa;
        add(it, n);
      }
    }
    for (int r = 1; r <= k1; ++r) {
      int it = qr[r];
      if (it == -1)
        for (int j = 1; j <= n / 5; ++j)
          ac[j] = 1;
      else
        ac[it] = 1;
    }
    aux = 0;
    get(n, m);
    solve(n, m);
    for (int r = k2; r >= 1; --r)
      printf("%d\n", s[r]);
    while (i <= q && (t == 1 || t == 3)) {
      if (t == 1) {
        int x;
        scanf("%d", &x);
        add(x, n);
        printf("%d\n", solve(n, m));
      } else {
        for (int j = 1; j <= n; ++j)
          add(j, n);
        solve(n, m);
      }
      if (i < q)
        scanf("%d", &t);
      i++;
    }
  }

  return 0;
}
