#include <iostream>
#include <string>
#include <algorithm>
using namespace std;

string ans[3] = { "Lora\n", "Bobi\n", "Draw\n" };

int liberty[201][210][2];
int dp[210][210][2], k, pasa, pasb, n;

void add(int a, int b, int mv, int win)
{
	if (!win)
		win = -1;
	if (dp[a][b][mv] != 0)
		return;
	dp[a][b][mv] = win;
	if (a == b)
		return;
	if (mv == 0) { /// muta a -> a mutat acum b
		for (int i = b - 1; i >= max(1, b - pasb); i--) {
			/// b vine din i
			if (win == 1) {
				liberty[a][i][1]--;
				if (!liberty[a][i][1])
					add(a, i, 1, 0);
				if (a == b - k && b != n) {
					liberty[b][i][1]--;
					if (!liberty[b][i][1])
						add(b, i, 1, 0);
				}
			}
			else {
				add(a, i, 1, 1);
				if (a == b - k && b != n)
					add(b, i, 1, 1);
			}
		}
	}
	else { /// muta b -> a mutat acum a
		for (int i = a - 1; i >= max(1, a - pasa); i--) {
			/// a vine din i
			if (win == 1) {
				liberty[i][b][0]--;
				if (!liberty[i][b][0])
					add(i, b, 0, 0);
				if (b == a - k && a != n) {
					liberty[i][a][0]--;
					if (!liberty[i][a][0])
						add(i, a, 0, 0);
				}
			}
			else {
				add(i, b, 0, 1);
				if (b == a - k && a != n)
					add(i, a, 0, 1);
			}
		}
	}
}

void test()
{
	cin >> n >> pasa >> pasb >> k;
	for (int i = 1; i <= n; i++) {
		for (int j = 1; j <= n; j++) {
			dp[i][j][0] = dp[i][j][1] = 0;
			liberty[i][j][0] = min(pasa, n - i);
			//if (j > i && j <= i + pasa)
			//	liberty[i][j][0]--;
			liberty[i][j][1] = min(pasb, n - j);
			//if (i > j && i <= j + pasb)
			//	liberty[i][j][1]--;
		}
	}
	for (int i = 1; i < n; i++) {
		add(i, n, 0, 0);
		add(n, i, 1, 0);
	}

	int win = 0, rem = 0;
	for (int i = 2; i <= n && i <= 1 + pasa; i++) {
		if (dp[i][1][1] == -1)
			win = 1;
		else if (dp[i][1][1] == 0)
			rem = 1;
	}

	if (rem)
		cout << ans[2];
	else if (!win)
		cout << ans[1];
	else
		cout << ans[0];
}

int main()
{
	int t;
	cin >> t;

	while (t--)
		test();
	return 0;
}
