#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
using namespace std;

string ans[3] = { "Lora\n", "Bobi\n", "Draw\n" };

const int NMAX = 210;
int liberty[201][210][2];
int dp[210][210][2], k, pasa, pasb, n;
vector <pair <int, int>> from[210][210][2];

void add(int a, int b, int mv, int win)
{
	if (win == 0)
		win = -1;
	if (dp[a][b][mv] != 0) {
		return;
	}
	dp[a][b][mv] = win;


	for (auto q : from[a][b][mv]) {
		int t = 1 - mv;
		if (win == -1)
			add(q.first, q.second, t, 1);
		else {
			liberty[q.first][q.second][t]--;
			if (!liberty[q.first][q.second][t])
				add(q.first, q.second, t, 0);
		}
	}
}

void test()
{
	for (int i = 1; i <= n; i++)
		for (int j = 1; j <= n; j++)
			liberty[i][j][0] = liberty[i][j][1] = dp[i][j][0] = dp[i][j][1] = 0, from[i][j][0].clear(), from[i][j][1].clear();

	cin >> n >> pasa >> pasb >> k;
	for (int i = 1; i < n; i++) {
		for (int j = 1; j < n; j++) {
			if (i == j && i != 1)
				continue;
			for (int p = 1; i + p <= n && p <= pasa; p++)
				liberty[i][j][0]++, from[i + p][(j == i + p ? max(i + p - k, 1) : j)][1].push_back({ i, j });
			for (int p = 1; j + p <= n && p <= pasb; p++)
				liberty[i][j][1]++, from[(i == j + p ? max(j + p - k, 1) : i)][j + p][0].push_back({ i, j });
		}
	}
	for (int i = 1; i < n; i++) {
		add(i, n, 0, 0);
		add(n, i, 1, 0);
	}

	if (dp[1][1][0] == 0)
		cout << ans[2];
	else if (dp[1][1][0] == -1)
		cout << ans[1];
	else
		cout << ans[0];
}

int main()
{
	int t;
	cin >> t;

	while (t--)
		test();
	return 0;
}
