#include <bits/stdc++.h>

using namespace std;

//#define BOOLA

int N, A, B, K;
int mpA[2005][2005], mpB[2005][2005];
int F, btA[2005][2005], btB[2005][2005];

int winA(int x, int y);
int winB(int x, int y);

int winA(int x, int y)
{
    if(x == N)  return 1;
    if(y == N)  return -1;
    if(btA[x][y] == F)   return mpA[x][y];
    btA[x][y] = F;
    mpA[x][y] = 0;

    bool draw = false;

    #ifdef BOOLA
    {
        int l = min(A, N - x);
        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }

    {
        int l = y - x;
        l = min(l, A);
        l = max(1, l);
        l = min(l, N - x);

        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }

    {
        int l = (y - 1) - x;
        l = min(l, A);
        l = max(1, l);
        l = min(l, N - x);

        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }

    {
        int l = (N - A) - x;
        l = min(l, A);
        l = max(1, l);
        l = min(l, N - x);

        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }
    #endif

    #ifndef BOOLA
    for(int l = min(A, N - x); l >= 1; l--)
    {
        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }
    #endif

    if(draw)    return 0;

    mpA[x][y] = -1;
    return -1;
}

int winB(int x, int y)
{
    if(y == N)  return 1;
    if(x == N)  return -1;
    if(btB[x][y] == F) return mpB[x][y];
    btB[x][y] = F;
    mpB[x][y] = 0;

    bool draw = false;

    #ifdef BOOLA
    {
        int l = min(B, N - y);

        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }

    {
        int l = x - y;
        l = max(l, 1);
        l = min(B, l);
        l = min(N - y, l);

        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }

    {
        int l = (x - 1) - y;
        l = max(l, 1);
        l = min(B, l);
        l = min(N - y, l);

        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }

    {
        int l = (N - B) - y;
        l = max(l, 1);
        l = min(B, l);
        l = min(N - y, l);

        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }
    #endif

    #ifndef BOOLA
    for(int l = min(B, N - y); l >= 1; l--)
    {
        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }
    #endif

    if(draw)    return 0;

    mpB[x][y] = -1;
    return -1;
}

void solve_test()
{
    scanf("%d%d%d%d", &N, &A, &B, &K);

    if(A > B)
    {
        printf("Lora\n");
        return;
    }
    if(B > 2 * A)
    {
        printf("Bobi\n");
        return;
    }

    //for(int i = 1; i <= N; i++) btA[i].reset(), btB[i].reset();
    F++;
    int ans = winA(1, 1);
    if(ans == 1)
    {
        printf("Lora\n");
        return;
    }
    if(ans == 0)
    {
        printf("Draw\n");
        return;
    }
    printf("Bobi\n");
    return;
}

void gen()
{
    freopen("1.in", "w", stdout);

    int T = 0;
    for(int N = 7; N <= 11; N++)
        for(int A = 1; A <= N; A++)
            for(int B = 1; B <= N; B++)
                for(int K = 1; K <= A && K <= B; K++)
                    T++;

    printf("%d\n", T);
    for(int N = 7; N <= 11; N++)
        for(int A = 1; A <= N; A++)
            for(int B = 1; B <= N; B++)
                for(int K = 1; K <= A && K <= B; K++)
                    printf("%d %d %d %d\n", N, A, B, K);
    exit(0);
}

int main()
{
    //gen();

    //freopen("1.in", "r", stdin);
    //freopen("1.out", "w", stdout);

    int T;
    scanf("%d", &T);
    for(int t = 1; t <= T; t++)
        solve_test();

    return 0;
}
