#include <iostream>
#include <fstream>
#include <vector>
using namespace std;
const int nmax=1005;
vector<int> v[nmax];
int fl[nmax][nmax],c[nmax][nmax];
int q[nmax],prec[nmax],d[nmax],ok[nmax];
int i,j,n,m,p,u,src,snk,x,nod,flow,sum,cap,a,b,Q,tip;
void add(int x,int y,int cap)
{
    c[x][y]=cap;
    v[x].push_back(y);
    v[y].push_back(x);
}
bool bfs()
{
    for(i=1;i<=snk;i++)
        d[i]=0;
    q[p=u=1]=src;d[src]=1;
    for(p=1;p<=u;p++)
    {
        x=q[p];if(x==snk) return 1;
        for(int i=0;i<v[x].size();i++)
        {
            nod=v[x][i];
            if((!d[nod])&&fl[x][nod]<c[x][nod]&&ok[nod])
            {
                prec[nod]=x;
                d[nod]=d[x]+1;
                q[++u]=nod;
            }
        }
    }
    return 0;
}
int flux()
{
    flow=0;
    int minfl;
    for(i=1;i<=snk;i++)
        for(j=0;j<v[i].size();j++)
           fl[i][v[i][j]]=0;
    while(bfs())
    {
        for(int i=0;i<v[snk].size();i++)
        {
            nod=v[snk][i];
            minfl=c[nod][snk]-fl[nod][snk];
            if(minfl&&d[nod])
            {
                prec[snk]=nod;
                while(nod!=src)
                {
                    minfl=min(minfl,c[prec[nod]][nod]-fl[prec[nod]][nod]);
                    nod=prec[nod];
                }
                nod=snk;
                if(minfl>0)
                    while(nod!=src)
                    {
                        fl[prec[nod]][nod]+=minfl;
                        fl[nod][prec[nod]]-=minfl;
                        nod=prec[nod];
                    }
                flow+=minfl;
            }
        }
    }
    return sum-flow;
}
void del(int x)
{
    ok[x]=0;
    sum-=(c[src][x]+c[x][snk]);
}
void ins(int x)
{
    ok[x]=1;
    sum+=(c[src][x]+c[x][snk]);
}
int main()
{
    //freopen("data.in","r",stdin);
    ios_base::sync_with_stdio(false);
    cin>>n>>m;
    for(i=1;i<=n+2;i++)
        ok[i]=1;
    src=n+1;snk=n+2;
    for(i=1;i<=n;i++)
    {
        cin>>x;
        add(src,i,x);
        sum+=x;
    }
    for(i=1;i<=n;i++)
    {
        cin>>x;
        add(i,snk,x);
        sum+=x;
    }
    for(i=1;i<=m;i++)
    {
        cin>>a>>b>>cap;
        add(a,b,cap);
        c[b][a]=cap;
    }
    cout<<flux()<<'\n';
    cin>>Q;
    for(int cnt=1;cnt<=Q;cnt++)
    {
        cin>>tip;
        if(tip<=2)
        {
            cin>>x;
            ok[x]^=1;
            if(!ok[x]) del(x);
            else ins(x);
            cout<<flux()<<'\n';
        }
        if(tip==3)
        {
            for(i=1;i<=n;i++)
                if(!ok[i])
                   ins(i),ok[i]=1;
        }
        if(tip==4)
        {
            for(i=1;i<=n/5;i++)
                if(ok[i])
                  del(i),ok[i]=0;
        }
    }
    return 0;
}
