
#include <bits/stdc++.h>

using namespace std;
using nagai = long long;
using uint = unsigned int;
mt19937 rnd(228);

uint seed = 123123123;
uint xrand()
{
	seed ^= seed << 2;
	seed ^= seed >> 7;
	seed ^= seed << 7;
	return seed;
}
int mod;

int mult(int a, int b)
{
	return (nagai)a * b % mod;
}

int add(int a, int b)
{
	a += b;
	if (a >= mod)
		return a - mod;
	return a;
}

const int N = 2001;
int dp[N][N][2];
struct st
{
	int x, y, turn;
	st(){}
	st(int x, int y, int turn)
		: x(x), y(y), turn(turn)
	{}
};

vector<st> g[N][N][2];
vector<st> gr[N][N][2];
vector<st> term;
int cnt[N][N][2];
bool used[N][N][2];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	int t;
	cin >> t;
	while (t--)
	{
		int n, l, b, K;
		cin >> n >> l >> b >> K;
		if (l == n)
			cout << "Lora\n";
		else if (l > b)
			cout << "Lora\n";
		else
		{
			for (int i = 0; i <= n; ++i)
				for (int j = 0; j <= n; ++j)
				{
					dp[i][j][0] = dp[i][j][1] = -1;
					g[i][j][0].clear();
					g[i][j][1].clear();
					gr[i][j][0].clear();
					gr[i][j][1].clear();
					term.clear();
					used[i][j][0] = used[i][j][1] = false;
				}
			for (int i = n; i >= 0; --i)
				for (int j = n; j >= 0; --j)
					for (int k = 0; k < 2; ++k)
					{
						if (i == n)
						{
							dp[i][j][k] = k == 0;
							term.emplace_back(i, j, k);
						}
						else if (j == n)
						{
							dp[i][j][k] = k == 1;
							term.emplace_back(i, j, k);
						}
						if (k == 0)
						{
							vector<int> inter = {j - 1, i + l};
							for (int x : inter)
							{
								x = max(x, 1);
								x = min(x, n);
								if (x - i <= l)
									g[i][j][k].emplace_back(x, j, k ^ 1);
							}
							if (i < j && j - i <= l)
								g[i][j][k].emplace_back(j, max(1, j - K), k ^ 1);
						}
						else
						{
							vector<int> inter = {i - 1, j + b};
							for (int x : inter)
							{
								x = max(x, 1);
								x = min(x, n);
								if (x - j <= b)
									g[i][j][k].emplace_back(i, x, k ^ 1);
							}
							if (j < i && i - j <= b)
								g[i][j][k].emplace_back(max(1, i - K), i, k ^ 1);
						}
					}
			for (int i = 0; i <= n; ++i)
				for (int j = 0; j <= n; ++j)
					for (int k = 0; k < 2; ++k)
					{
						cnt[i][j][k] = g[i][j][k].size();
						for (auto& st : g[i][j][k])
						{
							gr[st.x][st.y][st.turn].emplace_back(i, j, k);
						}
					}
			for (auto& x : term)
				used[x.x][x.y][x.turn] = true;
			vector<st> q = term;
			for (int i = 0; i < q.size(); ++i)
			{
				auto x = q[i];
				int a = x.x, b = x.y, c = x.turn;
				used[a][b][c] = true;
				for (auto& y : gr[a][b][c])
				{
					if (used[y.x][y.y][y.turn])
						continue;
					if (dp[a][b][c] == 0)
					{
						dp[y.x][y.y][y.turn] = 1;
						q.emplace_back(y);
					}
					else
						if (--cnt[y.x][y.y][y.turn] == 0)
						{
							dp[y.x][y.y][y.turn] = 0;
							q.emplace_back(y);
						}
				}
			}
			int ans = dp[1][1][0];
			if (ans == -1)
				cout << "Draw\n";
			else if (ans == 1)
				cout << "Lora\n";
			else
				cout << "Bobi\n";
		}
	}
}
