#include <bits/stdc++.h>

typedef long long ll;
typedef long double ld;
using namespace std;

int n;

int geth(int x, int y) {
	return x * (n + 1) + y;
}

void add_edge(int l1, int d1, int l2, int d2, vector<vector<int>> &g, vector<int> &pw) {
	int v1 = l1 * (n + 1) + d1, v2 = l2 * (n + 1) + d2;
	pw[v1]++;
	g[v2].push_back(v1);
}

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	int t, l, b, k, h;
	scanf("%d", &t);
	for (int z = 0; z < t; z++) {
		scanf("%d%d%d%d", &n, &l, &b, &k);
		n--;
		if (l >= n || l > b) {
			printf("Lora\n");
			continue;
		}
		int m = (n + 1) * (n + 1);
		vector<vector<int>> g(m);
		vector<int> ans(m, 3), pw(m, 0), used(m, 0);
		for (int i = 0; i < n; i++)
			for (int j = 0; j < i; j++) {
				if (j + l != i)
					add_edge(j, i, min(j + l, n), i, g, pw);
				if (j + l >= i)
					add_edge(j, i, i, max(i - k, 0), g, pw);
				if (j + b != i)
					add_edge(i, j, i, min(j + b, n), g, pw);
				if (j + b >= i)
					add_edge(i, j, max(i - k, 0), i, g, pw);
			}
		queue<int> q;
		for (int i = 0; i < n; i++) {
			h = geth(i, n);
			q.push(h);
			ans[h] = 3;
			h = geth(n, i);
			q.push(h);
			ans[h] = 3;
		}
		while (!q.empty()) {
			int v = q.front();
			q.pop();
			for (int u : g[v]) {
				if (used[u])
					continue;
				pw[u]--;
				ans[u] = min(ans[u], 4 - ans[v]);
				if (pw[u] == 0 || ans[u] == 1) {
					used[u] = 1;
					q.push(u);
				}
			}
		}
		h = geth(l, 0);
		if (!used[h])
			ans[h] = 2;
		if (ans[h] == 3)
			printf("Lora\n");
		else if (ans[h] == 2)
			printf("Draw\n");
		else
			printf("Bobi\n");
		/*if (l == b) {
			if (l == k) {
				printf("Draw\n");
				continue;
			}
			if (2 * l - k >= n)
				printf("Lora\n");
			else
				printf("Draw\n");
			continue;
		}
		if (b >= n || b > l * 2) {
			printf("Bobi\n");
			continue;
		}*/
	}
}