#include "bits/stdc++.h"

#define pb push_back
#define len(v) ((int)v.size())
#define mp make_pair
#define mt make_tuple
#define x first
#define y second

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef long double ld;

template<class T>
ostream &operator<<(ostream &os, const vector<T> &v) {
	for (const T &x : v) {
		os << x << " ";
	}
	return os;
}

template<class T>
istream &operator>>(istream &is, vector<T> &v) {
	for (T &x : v) {
		is >> x;
	}
	return is;
}

template<class A, class B>
ostream &operator<<(ostream &os, const pair<A, B> &p) {
	os << p.x << " " << p.y;
	return os;
}

template<class A, class B>
istream &operator>>(istream &is, pair<A, B> &p) {
	is >> p.x >> p.y;
	return is;
}


void run();

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	run();
}

bool d[1000];
vector<int> cur;

int N;

bool force(int i) {
	if (len(cur) > N) return false;
	if (i == -1) {
		if (len(cur) == N) {
			reverse(cur.begin(), cur.end());
			return true;
		}
		return false;
	} else {
		bool fail = false;
		for (int p : cur) {
			if (d[p - i]) {
				fail = true;
				break;
			}
		}
		if (!fail) {
			for (int p : cur) {
				d[p - i] = true;
			}	
			cur.pb(i);
			if (force(i - 1)) return true;
			cur.pop_back();
			for (int p : cur) {
				d[p - i] = false;
			}	
		}

		if (force(i - 1)) return true;
	}	
}

void run() {
	int j = 0;
	for (int i = 1; i <= 14; i++) {
		N = i;
		cur.clear();
		memset(d, 0, sizeof d);
		while (!force(j)) {
			j++;
		}	
		cout << i << ": " << cur << endl;
	}	
}