#include "bits/stdc++.h"

#define pb push_back
#define len(v) ((int)v.size())
#define mp make_pair
#define mt make_tuple
#define x first
#define y second

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef long double ld;

template<class T>
ostream &operator<<(ostream &os, const vector<T> &v) {
	for (const T &x : v) {
		os << x << " ";
	}
	return os;
}

template<class T>
istream &operator>>(istream &is, vector<T> &v) {
	for (T &x : v) {
		is >> x;
	}
	return is;
}

template<class A, class B>
ostream &operator<<(ostream &os, const pair<A, B> &p) {
	os << p.x << " " << p.y;
	return os;
}

template<class A, class B>
istream &operator>>(istream &is, pair<A, B> &p) {
	is >> p.x >> p.y;
	return is;
}


void run();

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	run();
}

int n, l, b, k;
vector<int> sp(2);

vector<vector<int>> trans(vector<int> state) {
	vector<vector<int>> rez;
	int m = state[2];
	if (state[m] < state[1 - m] && state[1 - m] - state[m] <= sp[m]) {
		rez.pb(vector<int>(3));
		rez.back()[m] = state[1 - m];
		rez.back()[1 - m] = max(state[1 - m] - k, 0);
		rez.back()[2] = 1 - m;
	}
	if (state[m] + sp[m] != state[1 - m]) {
		rez.pb(vector<int>(3));
		rez.back()[m] = min(n - 1, state[m] + k);
		rez.back()[1 - m] = state[1 - m];
		rez.back()[2] = 1 - m;
	}
	return rez;
}

int id(vector<int> state) {
	return state[0] * (n + 2) * 2 + state[1] * 2 + state[2];
}

void solve() {
	cin >> n >> l >> b >> k;
	if (1 + l >= n) {
		cout << "Lora" << endl;
		return;
	}
	if (1 + b >= n) {
		cout << "Bobi" << endl;
		return;
	}
	if (l > b) {
		cout << "Lora" << endl;
		return;
	}

	sp[0] = l;
	sp[1] = b;

	vector<vector<int>> g(2 * (n + 2) * (n + 2));
	vector<vector<int>> reg(len(g));
	vector<int> type(len(g), -1);
	vector<int> power(len(g));

	deque<int> cur;
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (i == j) continue;
			for (int m = 0; m < 2; m++) {
				vector<int> state{i, j, m};	
				// cout << id(state) << endl;
				assert(id(state) < len(g));
				for (vector<int> sub : trans(state)) {
					assert(id(sub) < len(g));
					g[id(state)].pb(id(sub));
					reg[id(sub)].pb(id(state));
				}
				if (i == n - 1 || j == n - 1) {
					type[id(state)] = 1;
					cur.pb(id(state));
				}
			}
		}
	}
	for (int i = 0; i < len(g); i++) {
		power[i] = len(g[i]);
	}

	while (!cur.empty()) {
		int id = cur[0];
		cur.pop_front();
		if (type[id] == 0) {
			for (int sub : reg[id]) {
				if (type[sub] == -1) {
					type[sub] = 1;
					cur.pb(sub);
				}
			}
		} else {
			for (int sub : reg[id]) {
				power[sub]--;
				if (power[sub] == 0) {
					type[sub] = 0;
					cur.pb(sub);
				}
			}
		}
	}
	int base = id({l, 0, 1});
	if (type[base] == 1) {
		cout << "Bobi" << endl;
	}
	if (type[base] == -1) {
		cout << "Draw" << endl;
	}
	if (type[base] == 0) {
		cout << "Lora" << endl;
	}
	// vector<vector<int>> dp(n, vector<int>(2));
	// for (int i = n - 1; i > -1; i--) {
	// 	for (int j = 0; j < 2; j++) {
	// 		int F = sp[j];
	// 		int S = sp[1 - j];
	// 		for (int t = 1; t <= n; t++) {
	// 			if (i + F * t >= n - 1) {
	// 				break;
	// 			}
	// 			if (i + k + S * t >= n - 1) {
	// 				dp[i] = 0;
	// 				break;
	// 			}
	// 			int base = i + S * j;
	// 			int enemy = i + k + S * (j - 1);

	// 			if (base - enemy <= S) {
	// 				int sub = p - k;
	// 				if (!dp[sub]) {
	// 					dp[i] = 0;
	// 				}
	// 			}
	// 		}
	// 	}
	// }
}

void run() {
	int cnt_tests;
	cin >> cnt_tests;
	for (int test = 0; test < cnt_tests; test++) {
		solve();
	}
}