#include <bits/stdc++.h>

using namespace std;

bool get_bit(int x, int pos) {
    return x & (1 << pos);
}

int calc(vector<bool>& used, vector<array<int, 3> > &g, vector<int> &a, vector<int> &b) {
    int n = (int)used.size(), m = (int)g.size();
    int sz = n;
    int pw = (1 << sz);
    int ans = -1e9;
    for (int mask = 1; mask < pw - 1; mask++) {
        int sum = 0;
        for (int i = 0; i < n; i++) {
            if (!used[i]) continue;
            if (get_bit(mask, i)) sum += a[i];
            else sum += b[i];
        }
        for (int i = 0; i < m; i++) {
            int u = g[i][0], v = g[i][1];
            if (!used[u] || !used[v]) continue;
            if (get_bit(mask, u) != get_bit(mask, v)) sum -= g[i][2];
        }
        ans = max(ans, sum);
    }
    return ans;
}

int main()
{
    int n, m;
    cin >> n >> m;
    vector<int> a(n), b(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> b[i];
    }
    vector<array<int, 3> > g(m);
    for (int i = 0; i < m; i++) {
        int u, v, w;
        cin >> u >> v >> w;
        g[i] = {u - 1, v - 1, w};
    }
    int q;
    cin >> q;
    vector<bool> used(n, 1);
    cout << calc(used, g, a, b) << endl;
    for (int z = 0; z < q; z++) {
        int tp;
        cin >> tp;
        if (tp == 1) {
            int x;
            cin >> x;
            used[x - 1] = 1;
            cout << calc(used, g, a, b) << endl;
        }
        else if (tp == 2) {
            int x;
            cin >> x;
            used[x - 1] = 0;
            cout << calc(used, g, a, b) << endl;
        }
        else if (tp == 3) {
            used.assign(n, 1);
        }
        else if (tp == 4) {
            for (int i = 0; i < n / 5; i++) used[i] = 0;
        }
    }
    return 0;
}
