#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <bitset>
#include <algorithm>
#include <iomanip>
#include <string>
#include <cstring>
#include <iomanip>
#include <functional>
#include <numeric>
#include <random>
#define ll long long
#define ld long double
#define null NULL
#define all(a) a.begin(), a.end()

using namespace std;

template<class iterator> void output(iterator begin, iterator end, ostream &out = cerr) {
	while (begin != end) {
		out << (*begin) << " ";
		begin++;
	}
	out << endl;
}

template<class T> void output(T x, ostream &out = cerr) {
	output(x.begin(), x.end(), out);
}

template<class T> int chkmin(T &a, const T &b) {
	if (b < a) {
		a = b;
		return 1;
	}
	return 0;
}

template<class T> int chkmax(T &a, const T &b) {
	if (b > a) {
		a = b;
		return 1;
	}
	return 0;
}

void fast_io() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
}

struct edge {
	int u, v, cost;
};

const int mx = 110;
int n, m, a[mx], b[mx], have;
vector<edge> e;

int get() {
	int best = 0;
	for (int sub = 0; sub < (1 << n); ++sub) {
		if ((sub & have) != sub) {
			continue;
		}

		//cerr << "-----sub = " << sub << endl;

		int cur = 0;
		for (int i = 0; i < n; ++i) {
			if ((have >> i) & 1) {
				if ((sub >> i) & 1) {
					cur += b[i];
				}
				else {
					cur += a[i];
				}
			}
		}

		//cerr << "cur = " << cur << endl;

		for (int i = 0; i < m; ++i) {
			int u = e[i].u, v = e[i].v;
			if (((have >> u) & 1) == 1 && ((have >> v) & 1) == 1 && ((sub >> u) & 1) != ((sub >> v) & 1)) {
				//cerr << "uv = " << u << " " << v << endl;
				//cerr << "rem " << e[i].cost << endl;
				cur -= e[i].cost;
			}
		}

		chkmax(best, cur);
	}
	
	return best;
}

signed main() {
	cin >> n >> m;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		cin >> b[i];
	}
	for (int i = 0; i < m; ++i) {
		int u, v, cost;
		cin >> u >> v >> cost;
		u--;
		v--;
		e.push_back({u, v, cost});
	}
	have = (1 << n) - 1;

	cout << get() << endl;

	int q;
	cin >> q;
	for (int i = 0; i < q; ++i) {
		int type;
		cin >> type;
		if (type == 1) {
			int pos;
			cin >> pos;
			pos--;
			have |= (1 << pos);
			cout << get() << endl;
		}
		if (type == 2) {
			int pos;
			cin >> pos;
			pos--;
			have &= ((1 << n) - 1 - (1 << pos));
			cout << get() << endl;
		}
		if (type == 3) {
			have = (1 << n) - 1;
		}
		if (type == 4) {
			for (int j = 1; j <= n / 5; ++j) {
				int pos = j - 1;
				have &= ((1 << n) - 1 - (1 << pos));
			}
		}
	}
}
