#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
#include <cstring>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <ctime>

using namespace std;

const int MAXN = 1e3 + 10;

int n, l, b, k;
int dp[MAXN][MAXN][3];

int get(int i, int j, int tp){
    //printf("%d %d %d\n", i, j, tp);
    if (i == n) return 1;
    if (j == n) return 2;
    if (dp[i][j][tp] != 0) return dp[i][j][tp];
    dp[i][j][tp] = 3;
    if (tp == 1){
        for (int d = 1; d <= l && i + d <= n; d++){
            int tmp;
            if (i + d == j){
                tmp = get(i + d, max(j - k, 1), 2);
            } else {
                tmp = get(i + d, j, 2);
            }
            if (tmp == 1) {
                dp[i][j][tp] = 1;
                return dp[i][j][tp];
            }
        }
        dp[i][j][tp] = 2;
        return dp[i][j][tp];
    }
    for (int d = 1; d <= b && j + d <= n; d++){
        int tmp;
        if (j + d == i){
            tmp = get(max(i - k, 1), j + d, 1);
        } else {
            tmp = get(i, j + d, 1);
        }
        if (tmp == 2) {
            dp[i][j][tp] = 2;
            return dp[i][j][tp];
        }
    }
    dp[i][j][tp] = 1;
    return dp[i][j][tp];
}

//#define HOME



int main()
{
    #ifdef HOME
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    #endif // HOME
    int t;
    scanf("%d", &t);
    while (t--){
        scanf("%d %d %d %d", &n, &l, &b, &k);
        if (l == b){
            printf("Draw\n");
            continue;
        }
        for (int i = 0; i <= n; i++){
            for (int j = 0; j <= n; j++){
                dp[i][j][1] = 0;
                dp[i][j][2] = 0;
            }
        }
        if (get(1, 1, 1) == 1){
            printf("Lora\n");
        } else {
            printf("Bobi\n");
        }
        //printf("%d\n\n", get(1, 1, 1));
    }

    return 0;
}
