#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
#include <cstring>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <ctime>

using namespace std;

const int MAXN = 1e3 + 10;

int n, a[MAXN], b[MAXN], cost[MAXN][MAXN], canuse[MAXN], m;

void printans(){
    int ma = 0;
    for (int mask = 0; mask < (1 << n); mask++){
        int cur = 0;
        for (int i = 0; i < n; i++){
            if (canuse[i] == 1 && ((mask >> i) & 1) == 0){
                cur += a[i];
            } else if (canuse[i] == 1) {
                cur += b[i];
            }
        }
        for (int i = 0; i < n; i++){
            for (int j = i + 1; j < n; j++){
                if (canuse[i] == 1 && canuse[j] == 1 && ((mask >> i) & 1) != ((mask >> j) & 1)){
                    cur -= cost[i][j];
                }
            }
        }
        ma = max(ma, cur);
    }
    printf("%d\n", ma);
}

int main()
{
    #ifdef HOME
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    #endif // HOME
    srand(time(0));
    scanf("%d %d", &n, &m);
    for (int i = 0; i < n; i++){
        scanf("%d", &a[i]);
        canuse[i] = 1;
    }
    for (int i = 0; i < n; i++){
        scanf("%d", &b[i]);
    }
    for (int i = 0; i < m; i++){
        int u, v, c;
        scanf("%d %d %d", &u, &v, &c);
        u--;
        v--;
        cost[u][v] = c;
        cost[v][u] = c;
    }
    printans();
    int t;
    scanf("%d", &t);
    for (int i = 0; i < t; i++){
        int tp;
        scanf("%d", &tp);
        if (tp == 1){
            int x;
            scanf("%d", &x);
            x--;
            canuse[x] = 1;
            printans();
        }
        if (tp == 2){
            int x;
            scanf("%d", &x);
            x--;
            canuse[x] = 0;
            printans();
        }
        if (tp == 3){
            for (int i = 0; i < n; i++){
                canuse[i] = 1;
            }
        }
        if (tp == 4){
            for (int i = 0; i + 1 <= n / 5; i++){
                canuse[i] = 0;
            }
        }
    }


    return 0;
}
