#include <iostream>
#include <vector>
#include <stdio.h>
#include <algorithm>
#include <set>
#include <map>
#include <string>

using namespace std;

#define all(x) (x).begin(), x.end()
#define size(s) (int)(s).size()

const int INF = 1e9;

void bye() {
    cout << "\n";
    exit(0);
}

int n, m, q;
vector<pair<pair<int, int> , int> > e;
vector<int> a, b;

int get(vector<int> &lost) {
	int ans = 0;
	for (int mask = 0; mask < (1 << n); mask++) {
		int now = 0;
		for (int i = 0; i < n; i++) {
			if (!lost[i]) {
				if (mask & (1 << i)) {
					now += a[i];
				} else {
					now += b[i];
				}
			}
		}
		for (int i = 0; i < m; i++) {
			if (!lost[e[i].first.first] && !lost[e[i].first.second]) {
				if ((mask & (1 << e[i].first.first)) && !(mask & (1 << e[i].first.second))) {
					now -= e[i].second;
				} else if (!(mask & (1 << e[i].first.first)) && (mask & (1 << e[i].first.second))) {
					now -= e[i].second;
				}
			}
		}
		ans = max(ans, now);
	}
	return ans;
}

int main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
	cin >> n >> m;
	a.resize(n);
	b.resize(n);
	for (int i = 0; i < n; i++) {
		cin >> a[i];
	}
	for (int i = 0; i < n; i++) {
		cin >> b[i];
	}
	for (int i = 0; i < m; i++) {
		int u, v, w;
		cin >> u >> v >> w;
		u--, v--;
		e.push_back(make_pair(make_pair(u, v), w));
	}
	cin >> q;
	vector<int> lost(n, 0);
	cout << get(lost) << "\n";
	while (q--) {
		int type;
		cin >> type;
		if (type == 1) {
			int who;
			cin >> who;
			who--;
			lost[who] = 0;
			cout << get(lost) << "\n";
		} else if (type == 2) {
			int who;
			cin >> who;
			who--;
			lost[who] = 1;
			cout << get(lost) << "\n";
		} else if (type == 3) {
			fill(all(lost), 0);
		} else {
			for (int i = 0; i < n / 5; i++) {
				lost[i] = 1;
			}
		}
	}
    bye();
}
