#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

const ll INF = 1e18;
const ld EPS = 1e-7;
const ld PI = acos(-1);

#define all(x) x.begin(), x.end()
#define size(x) (ll)x.size()
#define f first
#define s second
#define mp(a, b) make_pair(a, b)

void solve();

int main()
{
//    #ifdef HOME
//        freopen("input.txt", "r", stdin);
//        freopen("output.txt", "w", stdout);
//    #endif // HOME

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    solve();
    exit(0);
}


int get(int pos, int n, int shag) {
    return (n - pos) / shag + ((n - pos) % shag ? 1 : 0);
}


void solve()
{
    int t;
    cin >> t;

    while (t--) {
        int n, l, b, k;
        cin >> n >> l >> b >> k;

        int cnt = 0;
        int lora = 1, bobi = 1;
        bool who = 0;
        while (cnt < 1e5 && lora < n && bobi < n) {
            cnt++;
            if (who == 0) {
                if (lora >= bobi || lora + l >= n) {
                    lora += l;
                } else {
                    if (bobi - lora <= l && get(bobi, n, b) <= get(lora, n, l)) {
                        lora = bobi;
                        bobi = max(1, bobi - k);
                    } else {
                        lora += l;
                    }
                }
            } else {
                if (bobi >= lora || bobi + b >= n) {
                    bobi += b;
                } else {
                    if (lora - bobi <= b && get(lora, n, l) <= get(bobi, n, b)) {
                        bobi = lora;
                        lora = max(lora - k, 1);
                    } else {
                        bobi += b;
                    }
                }
            }
            who = !who;
        }

        if (cnt == 1e5) {
            cout << "Draw\n";
        } else {
            cout << (lora >= n ? "Lora\n" : "Bobi\n");
        }
    }
}
