#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

const ll INF = 1e18;
const ld EPS = 1e-7;
const ld PI = acos(-1);

#define all(x) x.begin(), x.end()
#define size(x) (ll)x.size()
#define f first
#define s second
#define mp(a, b) make_pair(a, b)

void solve();

int main()
{
//    #ifdef HOME
//        freopen("input.txt", "r", stdin);
//        freopen("output.txt", "w", stdout);
//    #endif // HOME

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    solve();
    exit(0);
}


int get(int pos, int n, int shag) {
    return (n - pos) / shag + ((n - pos) % shag ? 1 : 0);
}


string slow(int n, int l, int b, int k) {
    int cnt = 0;
        int lora = 1, bobi = 1;
        bool who = 0;
        while (cnt < 1e5 && lora < n && bobi < n) {
            cnt++;
            if (who == 0) {
                if (lora >= bobi || lora + l >= n) {
                    lora += l;
                } else {
                    if (bobi - lora <= l && get(bobi, n, b) <= get(lora + l, n, l)) {
                        lora = bobi;
                        bobi = max(1, bobi - k);
                    } else {
                        lora += l;
                    }
                }
            } else {
                if (bobi >= lora || bobi + b >= n) {
                    bobi += b;
                } else {
                    if (lora - bobi <= b && get(lora, n, l) <= get(bobi + b, n, b)) {
                        bobi = lora;
                        lora = max(lora - k, 1);
                    } else {
                        bobi += b;
                    }
                }
            }
            who = !who;
        }

        if (cnt == 1e5) {
            return "Draw\n";
        } else {
            return (lora >= n ? "Lora\n" : "Bobi\n");
        }
}


string fast(int n, int l, int b, int k) {
    if (l > b || l == n) {
            return "Lora\n";
    } else {
        if (l == b) {
            return "Draw\n";
        } else {
            int lora = 1, bobi = 1;
            bool who = 0;
            while (lora < n && bobi < n) {
                if (who == 0) {
                    if (lora + l >= n) {
                        lora += l;
                    } else {
                        lora = bobi;
                        bobi = max(1, bobi - k);
                    }
                } else {
                    bobi += b;
                }
                who = !who;
            }

            if (lora >= n) {
                return "Lora\n";
            } else {
                return "Bobi\n";
            }
        }
    }
}


void solve()
{
    int t;
    cin >> t;

//    cout << fast(5, 3, 3, 2) << "\n";

//    while (t) {
//        int n, l, b, k;
//        n = rand() % 6 + 1;
//        l = rand() % n + 1;
//        b = rand() % n + 1;
//        k = rand() % (min(l, b)) + 1;
//
//        string aa = slow(n, l, b, k);
//        string bb = fast(n, l, b, k);
//
//        if (aa != bb) {
//            cout << n << " " << l << " " << b << " " << k << "\n";
//            cout << aa << " " << bb << "\n";
//            return;
//        }
//    }

    while (t--) {
        int n, l, b, k;
        cin >> n >> l >> b >> k;
        cout << slow(n, l, b, k);
    }
}
