#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

const ll INF = 1e18;
const ld EPS = 1e-7;
const ld PI = acos(-1);

#define all(x) x.begin(), x.end()
#define size(x) (ll)x.size()
#define f first
#define s second
#define mp(a, b) make_pair(a, b)

void solve();

int main()
{
    #ifdef HOME
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // HOME

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    solve();
    exit(0);
}


map<pair<int, int>, bool> winner, used;

bool win(int lora, int bobi, bool who, int n, int l, int b, int k) {
//    cerr << lora << " " << bobi << "\n";
    if (winner.count(mp(lora, bobi))) {
        return winner[mp(lora, bobi)];
    }
    if (who == 0) {
        if (lora + l >= n) return 0;
        for (int go = 1; go <= l; go++) {
            int lora1 = lora + go, bobi1 = bobi;
            if (lora1 == bobi1) {
                bobi1 = max(1, bobi1 - k);
            }
            if (!used.count(mp(lora1, bobi1))) {
                used[mp(lora1, bobi1)] = 1;
                if (win(lora1, bobi1, !who, n, l, b, k) == 0) {
                    winner[mp(lora1, bobi1)] = 0;
                    return 0;
                } else {
                    winner[mp(lora1, bobi1)] = 1;
                }
                used.erase(mp(lora1, bobi1));
            }
        }
        return 1;
    } else {
        if (bobi + b >= n) return 1;
        for (int go = 1; go <= b; go++) {
            int lora1 = lora, bobi1 = bobi + go;
            if (lora1 == bobi1) {
                lora1 = max(1, lora1 - k);
            }
            if (!used.count(mp(lora1, bobi1))) {
                used[mp(lora1, bobi1)] = 1;
                if (win(lora1, bobi1, !who, n, l, b, k) == 1) {
                    winner[mp(lora1, bobi1)] = 1;
                    return 1;
                } else {
                    winner[mp(lora1, bobi1)] = 0;
                }
                used.erase(mp(lora1, bobi1));
            }
        }
        return 0;
    }
}


void solve()
{
    int t;
    cin >> t;

    while (t--) {
        int n, l, b, k;
        cin >> n >> l >> b >> k;

        winner.clear();
        used.clear();

        if (l == b) {
            cout << "Draw\n";
            continue;
        }
        if (win(1, 1, 0, n, l, b, k) == 0) {
            cout << "Lora\n";
        } else {
            cout << "Bobi\n";
        }
    }
}
