#include <bits/stdc++.h>

using namespace std;

#define int int64_t

pair<vector<int>, vector<int> > solve(int n, vector<int> already, vector<int> intervals) {
//	cout << "finding label: " << already.size() << "\n";
	if (already.size() == n-1)
		return {already, intervals};
	for (int i = 0; i < intervals.size(); ++i) {
		if (intervals[i])
			continue;
//		cout << "checking interval: " << i << "\n";
//		intervals[i] = 1;
		int cur = already.back() + i;
		bool works = true;
		for (int j = 0; j < already.size(); ++j) {
			if (intervals[cur - already[j]]) {
				works = false;
				break;
			}
		}
		if (works) {
			already.push_back(cur);
			for (int j = 0; j < already.size() - 1; ++j) {
				intervals[cur - already[j]] = 1;
			}
			break;
		}
	}
	return solve(n, already, intervals);
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int N;
	cin >> N;
	
	vector<int> already;
	vector<int> intervals(1000);
	
	already.push_back(0);
	intervals[0] = 1;
	intervals[2] = 1;
	
	vector<int> res;
	vector<int> sol;
	
	auto respair = solve(N, already, intervals);
	
	res = respair.first;
	sol = respair.second;
	
	res.push_back(res.back()+2);
	
	for (int i = 0; i < res.size(); ++i) {
		cout << res[i] << " ";
	}
	
	cout << "\n";
		
	return 0;
}
