#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

typedef vector < vector < double > > matrix;

double sigmoid(double a) {
  return 1.0 / (1.0 + exp(-a));
}

double derive_sigmoid(double a) {
  return a * (1.0 - a);
}

matrix sigmoid(matrix a) {
  matrix ans(a.size());

  int i, j;

  for(i=0;i<a.size();i++) {
    ans[i].resize(a[i].size());

    for(j=0;j<a[i].size();j++) {
      ans[i][j] = sigmoid(a[i][j]);
    }
  }
  
  return ans;
}

matrix derive_sigmoid(matrix a) {
  matrix ans(a.size());

  int i, j;

  for(i=0;i<a.size();i++) {
    ans[i].resize(a[i].size());

    for(j=0;j<a[i].size();j++) {
      ans[i][j] = derive_sigmoid(a[i][j]);
    }
  }
  
  return ans;
}

matrix transpose(matrix a) {
  matrix ans(a[0].size());

  int i, j;

  for(i=0;i<(int)(a.size());i++) {
    ans[i].resize(a.size());
    for(j=0;j<(int)(ans[i].size());j++) {
      ans[i][j] = a[j][i];
    }
  }

  return ans;
}

vector < double > add(vector < double > a, vector < double > b) {
  vector < double > ans(a.size());

  for(int i=0;i<(int)(a.size());i++) {
    ans[i] = a[i] + b[i];
  }

  return ans;
}

matrix w1, w2;
vector < double > b1, b2;
double rate = 1.0;

void train(vector < vector < double > > input, vector < vector < double > > output) {
  int i, j;
  
  for(int epoch=1;epoch<=30;epoch++) {
    vector < double > delta_b1, delta_b2;
    matrix delta_w1, delta_w2;
    vector < double > a1, a2;
    vector < double > delta;
    
    delta_b1.assign(3, 0);
    delta_b2.assign(3, 0);
     
    delta_w1.resize(3);
    delta_w2.resize(3);
    for(i=0;i<3;i++) {
      delta_w1[i].assign(3, 0);
      delta_w2[i].assign(3, 0);
    }

    for(int idx=0;idx<(int)(input.size());idx++) {

      vector < double > in = input[idx], tmp(3, 0);

      //Input to hidden layer
      for(i=0;i<3;i++) {
        for(j=0;j<3;j++) {
          tmp[j] += in[i] * w1[i][j];
        }
      }
      for(i=0;i<3;i++) {
        tmp[i] += b1[i];
      }
      for(i=0;i<3;i++) {
        tmp[i] = sigmoid(tmp[i]);
      }

      a1 = tmp;
      in = tmp;

      tmp.assign(3, 0);

      //Hidden layer to output
      for(i=0;i<3;i++) {
        for(j=0;j<3;j++) {
          tmp[j] += in[i] * w2[i][j];
        }
      }
      for(i=0;i<3;i++) {
        tmp[i] += b2[i];
      }
      for(i=0;i<3;i++) {
        tmp[i] = sigmoid(tmp[i]);
      }

      a2 = tmp;


      delta.assign(3, 0);
      for(i=0;i<3;i++) {
        delta[i] = a2[i] - out[idx][i];
      }
      for(i=0;i<3;i++) {
        delta[i] *= derive_sigmoid(a2[i]);
      }

      for(i=0;i<3;i++) {
        delta_b2[i] += delta[i];
      }

      for(i=0;i<3;i++) {
        for(j=0;j<3;j++) {
          delta_w2[i][j] += delta[i] * derive_sigmoid(w2[i][j]);
        }
      }

      tmp.assign(3, 0);
      for(i=0;i<3;i++) {
        for(j=0;j<3;j++) {
          delta[]
        }
      }
    }
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  int i, j;

  w1.resize(3);
  w2.resize(3);
  b1.resize(3);
  b2.resize(3);

  for(i=0;i<3;i++) {
    w1[i].resize(3);
    w2[i].resize(3);

    for(j=0;j<3;j++) {
      w1[i][j] = rand() % 10000 / 10000.0;
      w2[i][j] = rand() % 10000 / 10000.0;
    }

    b1[i] = rand() % 10000 / 10000.0;
    b2[i] = rand() % 10000 / 10000.0;
  }
  
  return 0;
}
