#include <bits/stdc++.h>
#define endl '\n'

#define SZ(x) ((int)x.size())
#define ALL(V) V.begin(), V.end()
#define L_B lower_bound
#define U_B upper_bound
#define pb push_back

using namespace std;
template<class T, class T1> int chkmax(T &x, const T1 y) { return x < y ? x = y, 1 : 0; }
template<class T, class T1> int chkmin(T &x, const T1 y) { return x > y ? x = y, 1 : 0; }
const int MAXN = (1 << 11);

int n, l, b, k;

void read()
{
	cin >> n >> l >> b >> k;
}

struct state
{
	int p1, p2, pl;
	state() { p1 = p2 = pl = 0; }
	state(int _p1, int _p2, int _p)
	{
		p1 = _p1;
		p2 = _p2;
		pl = _p;
	}

	int code() { return p1 * MAXN * 2 + p2 * 2 + pl; }
};

state get(int code) { return state(code / (MAXN * 2), (code % (MAXN * 2)) / 2, code % 2); }

/// 1 - win
/// 0 - draw
int win[MAXN * MAXN * 2], deg[MAXN * MAXN * 2];
vector<int> adj[MAXN * MAXN * 2];

void solve()
{
	if(n - 1 <= l) { cout << "Lora" << endl; return; }
	if(l > b) { cout << "Lora" << endl; return; }
	if(n - 1 <= b) { cout << "Bobi" << endl; return; }

	for(int i = 0; i < n; i++)
		for(int j = 0; j < n; j++)
			for(int pl = 0; pl < 2; pl++)
			{
				auto s = state(i, j, pl).code();
				win[s] = 0;
				adj[s].clear();
                deg[s] = 0;
			}

	queue<int> q;
	for(int i = 0; i < n; i++)
		for(int j = 0; j < n; j++)
			for(int pl = 0; pl < 2; pl++)
			{
				auto s = state(i, j, pl).code();

                if(pl == 0)
				{
					if(n - i <= l) win[s] = 1, q.push(s);
					else
					{
						{
							auto b = state(i + l, j, 1).code();
							adj[b].push_back(s);
							deg[s]++;
						}

						if(i < j - 1 && j - 1 - i <= l)
						{
							auto bb = state(j - 1, j, 1).code();
							adj[bb].push_back(s);
							deg[s]++;
						}

						if(i < j && j - i <= l)
						{
							auto bb = state(j, max(1, j - k), 1).code();
							adj[bb].push_back(s);
							deg[s]++;
						}
					}
				}

                if(pl == 1)
				{
					if(n - j <= b) win[s] = 1, q.push(s);
					else
					{
						{
							auto bb = state(i, j + b, 0).code();
							adj[bb].push_back(s);
							deg[s]++;
						}

						if(j < i - 1 && i - 1 - j <= b)
						{
							auto bb = state(i, i - 1, 0).code();
							adj[bb].push_back(s);
							deg[s]++;
						}

						if(j < i && i - j <= b)
						{
							auto bb = state(max(1, i - k), i, 0).code();
							adj[bb].push_back(s);
							deg[s]++;
						}
					}
				}
			}

	while(!q.empty())
	{
		int u = q.front();
		q.pop();

		for(int v: adj[u])
		{
			if(deg[v] == 0)
				continue;

			deg[v]--;
			if(!win[u])
			{
				win[v] = 1;
                deg[v] = 0;
			}

			if(deg[v] == 0)
				q.push(v);
		}
	}

	int ans = win[state(1, 1, 0).code()];
	if(ans == 1) cout << "Lora" << endl;
	else
	{
		if(deg[state(1, 1, 0).code()] == 0) cout << "Bobi" << endl;
		else cout << "Draw" << endl;
	}
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int T;
    cin >> T;

    while(T--)
    {
		read();
		solve();
	}

	return 0;
}
