#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
#include <cstring>
#include <cassert>
#define pb push_back
#define mp make_pair
using namespace std;
const int N = 15;
const int MAX_DIST = 2e2;
const int INF = 1e9;

int n;
int best = MAX_DIST;

int a[N], ans[N];

int dist[MAX_DIST];
bool cool(int pos)
{
    int x = 0;
    for(int i = pos - 1; i >= 0; i--)
    {
        x += a[i + 1] - a[i];
        if(dist[x])
            return false;
    }
    return true;
}

void bt(int pos)
{
    if(pos == n)
    {
        best = a[n - 1];
        for(int i = 0; i < n; i++)
            ans[i] = a[i];

        return;
    }

    for(int j = a[pos - 1] + 1; j < MAX_DIST; j++)
    {
        if(j >= best)
          break;

        a[pos] = j;
        if(cool(pos))
        {
            int x = 0;
            for(int i = pos - 1; i >= 0; i--)
            {
                x += a[i + 1] - a[i];
                dist[x]++;
            }

            bt(pos + 1);

            x = 0;
            for(int i = pos - 1; i >= 0; i--)
            {
                x += a[i + 1] - a[i];
                dist[x]--;
            }
        }
    }
}

vector <int> precomp[15];
void dummy()
{
    bt(1);

    for(int i = 0; i < n; i++)
        cout << ans[i] << " ";
    cout << endl;

    exit(0);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    cin >> n;

    //dummy();

    if(n <= 9)
    {
        bt(1);

        for(int i = 0; i < n; i++)
            cout << ans[i] << " ";
        cout << endl;

        return 0;
    }

    precomp[10] = {0, 1, 6, 10, 23, 26, 34, 41, 53, 55};
    precomp[11] = {0, 1, 4, 13, 28, 33, 47, 54, 64, 70, 72};
    precomp[12] = {0, 2, 6, 24, 29, 40, 43, 55, 68, 75, 76, 85};
    precomp[13] = {0, 2, 5, 25, 37, 43, 59, 70, 85, 89, 98, 99, 106};

   /* assert((int)precomp[n].size() == n);

    for(int i = 0; i < n; i++)
        a[i] = precomp[n][i];

    memset(dist, 0, sizeof(dist));
    for(int i = 0; i < n; i++)
    {
        int x = 0;
        for(int j = i + 1; j < n; j++)
        {
            x += a[j] - a[j - 1];
            dist[x]++;

            assert(dist[x] == 1);
        }
    } */

    for(int i = 0; i < n; i++)
        cout << precomp[n][i] << " ";
    cout << endl;


    return 0;
}


/*







10 = {0, 1, 6, 10, 23, 26, 34, 41, 53, 55}
11 = {0, 1, 4, 13, 28, 33, 47, 54, 64, 70, 72}
12 = {0, 2, 6, 24, 29, 40, 43, 55, 68, 75, 76, 85}
13 = {0, 2, 5, 25, 37, 43, 59, 70, 85, 89, 98, 99, 106}


*/
