#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
#include <cstring>
#define pb push_back
#define mp make_pair
using namespace std;
const int N = 15;

int n, m, q;
int killed[N];
int e[N][N];

int good[N], bad[N];

int ask()
{
    int res = 0, ans = 0;
    for(int mask = 0; mask < (1 << n); mask++)
    {
        res = 0;
        for(int j = 0; j < n; j++)
        {
            if(killed[j + 1])
                continue;

            if(mask & (1 << j))
                res += good[j + 1];
            else
                res += bad[j + 1];
        }

        for(int i = 1; i <= n; i++)
            for(int j = i + 1; j <= n; j++)
            {
                if(killed[i] || killed[j])
                    continue;
                if((mask & (1 << (i - 1))) != (mask & (1 << (j - 1))))
                    res -= e[i][j];
            }

        ans = max(ans, res);
    }

    return ans;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    int t, u, v, x;

    cin >> n >> m;
    for(int i = 1; i <= n; i++)
    {
        cin >> good[i];
    }
    for(int i = 1; i <= n; i++)
    {
        cin >> bad[i];
    }

    for(int i = 1; i <= m; i++)
    {
        cin >> u >> v >> x;
        e[u][v] = e[v][u] = x;
    }

    cin >> q;

    cout << ask() << endl;
    for(int i = 1; i <= q; i++)
    {
        cin >> t;
        if(t == 1)
        {
            cin >> v;
            killed[v] = 0;

            cout << ask() << endl;
        }
        if(t == 2)
        {
            cin >> v;
            killed[v] = 1;

            cout << ask() << endl;
        }
        if(t == 3)
        {
            for(int j = 1; j <= n; j++)
                killed[j] = 0;
        }
        if(t == 4)
        {
            for(int j = 1; j <= n / 5; j++)
                killed[j] = 1;
        }
    }


    return 0;
}

