#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
#include <cstring>
#define pb push_back
#define mp make_pair
using namespace std;
const int N = 2e3 + 5;

int tests;
int n, l, b, k;

int dp[N][N][2];
bool on_cycle[N][N][2];
int solve(int L, int B, int p)
{
    if(dp[L][B][p] != -1)
        return dp[L][B][p];
    if(L == n || B == n)
    {
        dp[L][B][p] = 0;
        return 0;
    }
    if(on_cycle[L][B][p])
       return 1;

    on_cycle[L][B][p] = true;

    int res = 2;
    if(p == 0)
    {
        for(int i = L + 1; i <= L + l; i++)
        {
            if(i != B)
                res = min(res, solve(i, B, 1));
            else
                res = min(res, solve(i, max(1, B - k), 1));
        }
    }
    if(p == 1)
    {
        for(int i = B + 1; i <= B + b; i++)
        {
            if(i != L)
                res = min(res, solve(L, i, 0));
            else
                res = min(res, solve(max(1, L - k), i, 0));
        }
    }


    on_cycle[L][B][p] = false;
    dp[L][B][p] = 2 - res;
    return dp[L][B][p];
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    memset(dp, -1 , sizeof(dp));

    cin >> tests;
    for(int current_case = 1; current_case <= tests; current_case++)
    {
        cin >> n >> l >> b >> k;

        if(l > b || l == n)
        {
            cout << "Lora" << endl;
            continue;
        }

        if(l == b && k == l)
        {
            cout << "Draw" << endl;
            continue;
        }

        if(b > 2 * l || b == n)
        {
            cout << "Bobi" << endl;
            continue;
        }

        int res = solve(1, 1, 0);
        if(res == 2)
            cout << "Lora" << endl;
        if(res == 1)
            cout << "Draw" << endl;
        if(res == 0)
            cout << "Bobi" << endl;
    }

    return 0;
}

/*

3
10 4 3 2
5 2 3 1
4 2 2 2

*/
