#include <bits/stdc++.h>

const int32_t MAX_N = 50;

bool isCalc[MAX_N + 5][MAX_N + 5][2][200];
int32_t n, l, b, k;
int32_t dp[MAX_N + 5][MAX_N + 5][2][200];

int32_t CalcSlowDp(int32_t pos1, int32_t pos2, int32_t turn, int32_t p) {
	if(pos1 >= n || pos2 >= n) {
		return -1;
	}
	else if(p >= 200) {
		return 0;
	}
	else if(isCalc[pos1][pos2][turn][p]) {
		return dp[pos1][pos2][turn][p];
	}

	if(turn == 0) {
		bool canWin = false, canDraw = false;
		for(int32_t i = pos1 + 1; i <= pos1 + l; i++) {
			int32_t newPos2 = pos2;
			
			if(i == pos2) {
				newPos2 = std::max(1, pos2 - k);
			}

			int32_t curr = CalcSlowDp(i, newPos2, (turn ^ 1), p + 1);
			if(curr == -1) {
				canWin = true;
			}
			else if(curr == 0) {
				canDraw = true;
			}
		}

		if(canWin) {
			dp[pos1][pos2][turn][p] = 1;
		}
		else if(canDraw) {
			dp[pos1][pos2][turn][p] = 0;
		}
		else {
			dp[pos1][pos2][turn][p] = -1;
		}
	}
	else {
		bool canWin = false, canDraw = false;
		for(int32_t i = pos2 + 1; i <= pos2 + b; i++) {
			int32_t newPos1 = pos1;
			
			if(i == pos1) {
				newPos1 = std::max(1, pos1 - k);
			}

			int32_t curr = CalcSlowDp(newPos1, i, (turn ^ 1), p + 1);
			if(curr == -1) {
				canWin = true;
			}
			else if(curr == 0) {
				canDraw = true;
			}
		}

		if(canWin) {
			dp[pos1][pos2][turn][p] = 1;
		}
		else if(canDraw) {
			dp[pos1][pos2][turn][p] = 0;
		}
		else {
			dp[pos1][pos2][turn][p] = -1;
		}
	}
	
	isCalc[pos1][pos2][turn][p] = true;

	return dp[pos1][pos2][turn][p];
}

std::string Solve() {
	if(l == n) {
		return "Lora";
	}
	if(b == n) {
		return "Bobi";
	}
	if(l > b) {
		return "Lora";
	}
	if(b > 2 * l) {
		return "Bobi";
	}

	memset(isCalc, 0, sizeof(isCalc));

	int32_t ans = CalcSlowDp(1, 1, 0, 0);
	if(ans == 1) {
		return "Lora";
	}
	else if(ans == 0) {
		return "Draw";
	}
	else {
		return "Bobi";
	}
}

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);

	int32_t cntTests;
	std::cin >> cntTests;

	for(int32_t cs = 1; cs <= cntTests; cs++) {
		std::cin >> n >> l >> b >> k;

		std::cout << Solve() << '\n';
	}
}
