#include <bits/stdc++.h>

const int32_t MAX_N = 1e3;
const int32_t MAX_M = 1e5;

bool isActive[MAX_N + 5];
int32_t n, m, a[MAX_N + 5], b[MAX_N + 5], u[MAX_M + 5], v[MAX_M + 5], t[MAX_M + 5];

int32_t Brute() {
	int32_t ans = 0;
	for(int32_t i = 0; i < (1 << n); i++) {
		int32_t currAns = 0;
		for(int32_t j = 1; j <= n; j++) {
			if(!isActive[j]) {
				continue;
			}

			if((i & (1 << (j - 1))) != 0) {
				currAns += b[j];
			}
			else {
				currAns += a[j];
			}
		}

		for(int32_t j = 0; j < m; j++) {
			if(!isActive[u[j]] || !isActive[v[j]]) {
				continue;
			}
			
			int32_t bit1 = (i & (1 << (u[j] - 1)));
			int32_t bit2 = (i & (1 << (v[j] - 1)));

			if((bit1 == 0 && bit2 > 0) || (bit1 > 0 && bit2 == 0)) {
				currAns -= t[j];
			}
		}

		ans = std::max(ans, currAns);
	}

	return ans;
}

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);

	std::cin >> n >> m;

	for(int32_t i = 1; i <= n; i++) {
		std::cin >> a[i];
		isActive[i] = true;
	}

	for(int32_t i = 1; i <= n; i++) {
		std::cin >> b[i];
	}

	for(int32_t i = 0; i < m; i++) {
		std::cin >> u[i] >> v[i] >> t[i];
	}

	std::cout << Brute() << '\n';

	int32_t q;
	std::cin >> q;

	for(int32_t i = 0; i < q; i++) {
		int32_t type;
		std::cin >> type;

		if(type == 1) {
			int32_t x;
			std::cin >> x;

			isActive[x] = true;
			
			std::cout << Brute() << '\n';
		}
		else if(type == 2) {
			int32_t x;
			std::cin >> x;

			isActive[x] = false;
		
			std::cout << Brute() << '\n';
		}
		else if(type == 3) {
			for(int32_t i = 1; i <= n; i++) {
				isActive[i] = true;
			}
		}
		else {
			for(int32_t i = 1; i <= n / 5; i++) {
				isActive[i] = false;
			}
		}
	}
}
