#include <iostream>
using namespace std;

const int MAXN = 2005;

int n, l, b, k;
int memo[MAXN][MAXN][2];

int Rec(int lpos, int bpos, int f)
{
    if (memo[lpos][bpos][f - 1] != 0) return memo[lpos][bpos][f - 1];
    else memo[lpos][bpos][f - 1] = -2;

    if (f == 1)
    {
        if (lpos + l >= n) return memo[lpos][bpos][0] = 1;
        int res = 0, neg = 0, ver = 0;
        for (int i = 1; i <= l; ++ i)
        {
            if (lpos + i == bpos) ver = Rec(lpos + i, (bpos > k ? bpos - k : 1), 2);
            else ver = Rec(lpos + i, bpos, 2);
            if (ver == 1) res = 1;
            if (ver < 0) neg = 1;
        }

        if (res == 1) memo[lpos][bpos][0] = 1;
        else if (neg == 1) memo[lpos][bpos][0] = -1;
        else memo[lpos][bpos][0] = 2;

        return memo[lpos][bpos][0];
    }
    if (f == 2)
    {
        if (bpos + b >= n) return memo[lpos][bpos][1] = 2;
        int res = 0, neg = 0, ver = 0;
        for (int i = 1; i <= b; ++ i)
        {
            if (bpos + i == lpos) ver = Rec((lpos > k ? lpos - k : 1), bpos + i, 1);
            else ver = Rec(lpos, bpos + i, 1);
            if (ver == 2) res = 1;
            if (ver < 0) neg = 1;
        }

        if (res == 1) memo[lpos][bpos][1] = 2;
        else if (neg == 1) memo[lpos][bpos][1] = -1;
        else memo[lpos][bpos][1] = 1;

        return memo[lpos][bpos][1];
    }
}

int main()
{
    int t;
    cin >> t;
    while (t--)
    {
        cin >> n >> l >> b >> k;

        for (int i = 1; i <= n; ++ i)
        {
            for (int j = 1; j <= n; ++ j)
            {
                memo[i][j][0] = memo[i][j][1] = 0;
            }
        }

        switch (Rec(1, 1, 1))
        {
            case -1: cout << "Draw" << endl; break;
            case 1: cout << "Lora" << endl; break;
            case 2: cout << "Bobi" << endl; break;
        }
    }

    return 0;
}
