#include <bits/stdc++.h>
using namespace std;
const int MAX_N=16;
int n, m, q, good[MAX_N], bad[MAX_N];
struct friendship
{
    int first;
    int second;
    int value;
    friendship () {};
    friendship (int first_, int second_ , int value_)
    {
        first=first_;
        second=second_;
        value=value_;
    }
};
vector<friendship> friendships;
int team[MAX_N], inGame[MAX_N];
void returnAll()
{
    for(int i=1; i<=n; i++)
        inGame[i]=1;
}
void exclude()
{
    for(int i=1; i<=n/5; i++)
        inGame[i]=0;
}
void print(int toPrint[])
{
    for(int i=1; i<=n; i++)
        printf("%d ", toPrint[i]);
    printf("\n");
}
void read()
{
    scanf("%d %d", &n, &m);
    returnAll();
    for(int i=1; i<=n; i++)
        scanf("%d", &good[i]);
    for(int i=1; i<=n; i++)
        scanf("%d", &bad[i]);
    int first, second, value;
    for(int i=1; i<=m; i++)
    {
        scanf("%d %d %d", &first, &second, &value);
        friendships.push_back(friendship(first, second, value));
    }
}
bool ILI(bool x, bool y)
{
    return (x==0&&y==1)||(x==1&&y==0);
}
int check()
{
    int ans=0;
    for(int i=1; i<=n; i++)
        ans+=good[i]*(team[i]==0)*inGame[i];
    for(int i=1; i<=n; i++)
        ans+=bad[i]*(team[i]==1)*inGame[i];
    for(int i=0; i<m; i++)
            ans-=ILI(team[friendships[i].first], team[friendships[i].second])*friendships[i].value*inGame[friendships[i].first]*inGame[friendships[i].second];
    return ans;
}
void setTeam(int numb)
{
    for(int i=1; i<=n-numb; i++)
        team[i]=0;
    for(int i=n-numb+1; i<=n; i++)
        team[i]=1;
}
void solve()
{
    int maxAns=0;
    for(int i=1; i<=n; i++)
    {
        setTeam(i);
        do
        {
            //cerr<<check()<<endl;
            //print(team);
            maxAns=max(maxAns, check());
        }
        while(next_permutation(team+1, team+n+1));
    }
    printf("%d\n", maxAns);
}
void queries()
{
    scanf("%d", &q);
    int type, pos;
    while(q--)
    {
        scanf("%d", &type);
        if(type==1||type==2)
        {
            scanf("%d", &pos);
            inGame[pos]=(type==1) ? 1 : 0;
            solve();
        }
        if(type==3)
            returnAll();
        if(type==4)
            exclude();
    }
}
int main()
{
    //freopen("input.txt", "r", stdin);
    read();
    solve();
    queries();
    return 0;
}
