#include <cstdio>

using namespace std;

const int MAXN = 14;
const int MAXM = 1e2;

int n;
int v[MAXM], uc;
int a[MAXN];
int middle, biggest;

bool check(int from, int to)
{
    uc++;
    for(int i = from; i <= to; i++)
    {
        for(int j = i + 1; j <= to; j++)
        {
            int temp = a[j] - a[i];
            if(v[temp] != uc)
            {
                v[temp] = uc;
            }
            else
            {
                return false;
            }
        }
    }
    return true;
}

bool bruteForce2(int index, int prev, int mx, int k, int from)
{
    if(index == k)
    {
        if(check(from, k))
        {
            if(check(0, n - 1))
            {
                return true;
            }
        }
        return false;
    }

    for(int i = prev + 1; i < mx; i++)
    {
        a[index] = i;
        if(bruteForce2(index + 1, i, mx, k, from)) return true;
    }
    return false;
}

bool bruteForce(int index, int prev, int mx, int k, int from)
{
    if(index == k)
    {
        if(check(from, k))
        {
            if(bruteForce2(middle + 1, mx, biggest, n - 1, middle))
            {
                return true;
            }
        }
        return false;
    }

    for(int i = prev + 1; i < mx; i++)
    {
        a[index] = i;
        if(bruteForce(index + 1, i, mx, k, from)) return true;
    }
    for(int i = 0; i < MAXM; i++)
    {
        v[i] = 0;
    }
    uc = 0;
    return false;
}

void solve()
{
    if(n == 5)
    {
        printf("0 2 7 8 11\n");
    }
    else if(n == 6)
    {
        printf("0 3 5 9 16 17\n");
    }
    else if(n == 7)
    {
        printf("0 2 6 9 14 24 25\n");
    }
    else if(n == 8)
    {
        printf("0 1 4 9 15 22 32 34\n");
    }
    else if(n == 9)
    {
        printf("0 3 9 17 19 2 39 43 44\n");
    }
    else if(n == 10)
    {
        printf("0 1 6 10 23 26 34 41 53 55\n");
    }
    else
    {
        a[0] = 0;
        middle = n / 2;
        for(int i = 60; i < 70; i++)
        {
            //int i = 55;
            a[n - 1] = i;
            biggest = i;

            for(int j = 25; j < i - n; j++)
            {
                a[middle] = j;
                if(bruteForce(1, 0, j, middle, 0))
                {
                    for(int z = 0; z < n - 1; z++)
                    {
                        printf("%d ", a[z]);
                    }
                    printf("%d\n", a[z]);

                    return;
                }
            }
        }
    }
}

int main()
{
    scanf("%d", &n);

    solve();

    return 0;
}
