#include<iostream>
#include<cstring>

using namespace std;

const int MAXN = 2005;

struct input
{
    int n, L, B, K;
};

int n;
int L, B, K;
input a[MAXN];

bool used[MAXN][MAXN][2];
int memo[MAXN][MAXN][2];

bool pass = false;
int calcState(int lIndex, int bIndex, bool turn)
{
    //cout << lIndex << " " << bIndex << " " << turn << " --> " << memo[lIndex][bIndex][turn] << '\n';

    if(lIndex==n-1)
    {
        if(turn==false) return 3;
        return 1;
    }
    if(bIndex==n-1)
    {
        if(turn==false) return 1;
        return 3;
    }
    if(memo[lIndex][bIndex][turn]!=-1) return memo[lIndex][bIndex][turn];
    if(used[lIndex][bIndex][turn]==true)
    {
        memo[lIndex][bIndex][turn] = 2;
        return 2;
    }

    used[lIndex][bIndex][turn] = true;

    int newL, newB;
    int answer = 1, current;

    if(turn==false)
    {
        for(int i = 1;i<=L;i++)
        {
            if(lIndex+i>=n) break;

            newL = min(n-1, lIndex+i);
            if(newL==bIndex) newB = max(0, bIndex-K);
            else newB = bIndex;

            current = calcState(newL, newB, true);
            //if(lIndex==1 && bIndex==2 && turn==0) cout << "          " << newL << " " << newB << " --> " << current << '\n';

            if(current==2 && answer==1) answer = 2;
            if(current==1) answer = 3;
        }
    }
    else
    {
        for(int i = 1;i<=B;i++)
        {
            if(bIndex+i>=n) break;

            newB = min(n-1, bIndex+i);
            if(newB==lIndex) newL = max(0, lIndex-K);
            else newL = lIndex;

            current = calcState(newL, newB, false);
            //if(lIndex==2 && bIndex==1 && turn==1) cout << "---         " << newL << " " << newB << " --> " << current << '\n';

            if(current==2 && answer==1) answer = 2;
            if(current==1) answer = 3;
        }
    }

    used[lIndex][bIndex][turn] = false;

    //if(lIndex==2 && bIndex==1 && turn==1) cout << "OK: " << answer << '\n';
    memo[lIndex][bIndex][turn] = max(answer, memo[lIndex][bIndex][turn]);
    return answer;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);

    int T;
    int update, save;

    int nSum = 0;
    bool mode = false;

    cin >> T;
    for(int i = 0;i<T;i++)
    {
        cin >> n >> L >> B >> K;
        a[i] = {n, L, B, K};

        nSum += n;
    }

    if(nSum>2000)
    {
        mode = true;
    }

    for(int i = 0;i<T;i++)
    {
        n = a[i].n;
        L = a[i].L;
        B = a[i].B;
        K = a[i].K;

        if(mode==true)
        {
            if(L>B) cout << "Lora" << '\n';
            else cout << "Draw" << '\n';

            continue;
        }

        if(L>B)
        {
            cout << "Lora" << '\n';
            continue;
        }

        for(int i = 0;i<=n;i++)
        {
            for(int j = 0;j<=n;j++)
            {
                memo[i][j][0] = -1;
                memo[i][j][1] = -1;
            }
        }

        pass = false;
        int result = calcState(0, 0, false);

        for(int k = 0;k<40;k++)
        {
            for(int i = 0;i<=n;i++)
            {
                for(int j = 0;j<=n;j++)
                {
                    if(memo[i][j][0]==2) memo[i][j][0] = -1;
                    if(memo[i][j][1]==2) memo[i][j][1] = -1;
                }
            }

            pass = true;

            save = result;
            result = calcState(0, 0, false);

            if(result!=2) break;
        }

        if(result==1) cout << "Bobi" << '\n';
        else if(result==2) cout << "Draw" << '\n';
        else cout << "Lora" << '\n';
    }
}
