#include<iostream>
#include<cstring>

using namespace std;

const int MAXN = 2005;

struct input
{
    int n, L, B, K;
};

int n;
int L, B, K;
input a[MAXN];

bool used[MAXN][MAXN][2];
int memo[MAXN][MAXN][2];

bool pass = false;
int calcState(int lIndex, int bIndex, bool turn)
{
    //cout << lIndex << " " << bIndex << " " << turn << " --> " << memo[lIndex][bIndex][turn] << '\n';

    if(lIndex==n-1)
    {
        if(turn==false) return 3;
        return 1;
    }
    if(bIndex==n-1)
    {
        if(turn==false) return 1;
        return 3;
    }
    if(memo[lIndex][bIndex][turn]!=-1) return memo[lIndex][bIndex][turn];
    if(used[lIndex][bIndex][turn]==true)
    {
        memo[lIndex][bIndex][turn] = 2;
        return 2;
    }

    used[lIndex][bIndex][turn] = true;

    int newL, newB;
    int answer = 1, current;

    if(turn==false)
    {
        if(lIndex<bIndex)
        {
            if(lIndex+L>=bIndex-1)
            {
                current = calcState(bIndex-1, bIndex, true);
                if(current==2 && answer==1) answer = 2;
                if(current==1) answer = 3;
            }
            if(lIndex+L>=bIndex)
            {
                current = calcState(bIndex, max(0, bIndex-K), true);
                if(current==2 && answer==1) answer = 2;
                if(current==1) answer = 3;
            }

            newL = min(n-1, lIndex+L);
            if(newL==bIndex) newB = max(0, bIndex-K);
            else newB = bIndex;

            current = calcState(newL, newB, true);
            if(current==2 && answer==1) answer = 2;
            if(current==1) answer = 3;
        }
        else
        {
            newL = min(n-1, lIndex+L);
            if(newL==bIndex) newB = max(0, bIndex-K);
            else newB = bIndex;

            current = calcState(newL, newB, true);
            if(current==2 && answer==1) answer = 2;
            if(current==1) answer = 3;
        }
    }
    else
    {
        for(int i = 1;i<=B;i++)
        {
            if(bIndex+i>=n) break;

            newB = min(n-1, bIndex+i);
            if(newB==lIndex) newL = max(0, lIndex-K);
            else newL = lIndex;

            current = calcState(newL, newB, false);
            //if(lIndex==2 && bIndex==1 && turn==1) cout << "---         " << newL << " " << newB << " --> " << current << '\n';

            if(current==2 && answer==1) answer = 2;
            if(current==1) answer = 3;
        }
    }

    used[lIndex][bIndex][turn] = false;

    //if(lIndex==2 && bIndex==1 && turn==1) cout << "OK: " << answer << '\n';
    memo[lIndex][bIndex][turn] = max(answer, memo[lIndex][bIndex][turn]);
    return answer;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);

    int T;
    int update, save;

    int lIndex, bIndex;

    int nSum = 0;
    bool mode = false;

    cin >> T;
    for(int i = 0;i<T;i++)
    {
        cin >> n >> L >> B >> K;
        a[i] = {n, L, B, K};

        nSum += n;
    }

    for(int i = 0;i<T;i++)
    {
        n = a[i].n;
        L = a[i].L;
        B = a[i].B;
        K = a[i].K;

        if(mode==true)
        {
            if(L>B) cout << "Lora" << '\n';
            else
            {
                for(int j= 0;j<=n;j++)
                {
                    for(int k = 0;k<=n;k++)
                    {
                        used[i][j][0] = false;
                        used[i][j][1] = false;
                    }
                }

                lIndex = 0;
                bIndex = 0;
                for(int i = 0;;i++)
                {
                    if(lIndex==n-1)
                    {
                        cout << "Lora" << '\n';
                        break;
                    }
                    if(used[lIndex][bIndex][i%2]==true)
                    {
                        cout << "Draw" << '\n';
                        break;
                    }

                    used[lIndex][bIndex][i%2] = true;

                    if(i%2==0)
                    {
                        lIndex = min(lIndex+L, n-1);
                    }
                    else
                    {
                        if(bIndex+B>=lIndex)
                        {
                            bIndex = lIndex;
                            lIndex = max(0, lIndex-K);
                        }
                        else
                        {
                            bIndex = bIndex + B;
                        }
                    }
                }
            }

            continue;
        }

        if(L>B)
        {
            cout << "Lora" << '\n';
            continue;
        }

        for(int i = 0;i<=n;i++)
        {
            for(int j = 0;j<=n;j++)
            {
                memo[i][j][0] = -1;
                memo[i][j][1] = -1;
            }
        }

        pass = false;
        int result = calcState(0, 0, false);

        for(int k = 0;k<30;k++)
        {
            for(int i = 0;i<=n;i++)
            {
                for(int j = 0;j<=n;j++)
                {
                    if(memo[i][j][0]==2) memo[i][j][0] = -1;
                    if(memo[i][j][1]==2) memo[i][j][1] = -1;
                }
            }

            pass = true;

            save = result;
            result = calcState(0, 0, false);

            if(result!=2) break;
        }

        if(result==1) cout << "Bobi" << '\n';
        else if(result==2) cout << "Draw" << '\n';
        else cout << "Lora" << '\n';
    }
}
