#include <bits/stdc++.h>
#define MAXN 2005
#define INF 1000000000
#define INFLL 1000000000000000000

int total;
int a[1 + MAXN];
int b[1 + MAXN];

int S, D;
std::vector <int> G[1 + MAXN];
int C[1 + MAXN][1 + MAXN];
int F[1 + MAXN][1 + MAXN];

int father[1 + MAXN];
std::queue <int> q;
inline int BFS(){
    for(int i = 1; i <= total; i++) father[i] = 0;
    q.push(S), father[S] = D;
    while(!q.empty()){
        int node = q.front();
        q.pop();
        for(auto y: G[node])
            if(!father[y] && C[node][y])
                father[y] = node, q.push(y);
    }
    return (father[D] != 0);
}

int cost;
int viz[1 + MAXN];
void dfs(int node){
    viz[node] = 1;
    for(auto y: G[node]){
        if(C[node][y] && !viz[y])
            dfs(y);
        else if(!viz[y]) cost -= F[node][y];
    }
}

int main(){
    FILE*fi,*fo;
    //fi = fopen("a.in","r");
    //fo = fopen("a.out","w");
    fi = stdin;
    fo = stdout;

    int n, m;
    fscanf(fi,"%d%d", &n, &m);
    S = 2 * n + 1, D = 2 * n + 2, total = 2 * n + 2;
    for(int i = 1; i <= n; i++) fscanf(fi,"%d", &a[i]);
    for(int i = 1; i <= n; i++) fscanf(fi,"%d", &b[i]);
    for(int i = 1; i <= n; i++){
        G[S].push_back(i), G[i].push_back(S);
        C[S][i] = a[i];

        G[D].push_back(n + i), G[n + i].push_back(D);
        C[n + i][D] = b[i];

        G[i].push_back(n + i), G[n + i].push_back(i);
        C[i][n + i] = INF;
    }
    for(int i = 1; i <= m; i++){
        int x, y, t;
        fscanf(fi,"%d%d%d", &x, &y, &t);

        G[x].push_back(n + y), G[n + y].push_back(x);
        C[x][n + y] = t;

        G[y].push_back(n + x), G[n + x].push_back(y);
        C[y][n + x] = t;

        F[x][n + y] = F[y][n + x] = t;
    }

    int flux = 0, c = 0;
    while(BFS()){
        int flow = INF;
        for(int node = D; node != S; node = father[node]) flow = std::min(flow, C[father[node]][node]);
        for(int node = D; node != S; node = father[node]){
            C[father[node]][node] -= flow;
            C[node][father[node]] += flow;
        }
        flux += flow;
    }
    dfs(S);
    for(int i = 1; i <= n; i++){
        //if(viz[i]) fprintf(fo,"%d 1\n", i);
        //else fprintf(fo,"%d 2\n", i);
        if(viz[i]) cost += a[i];
        else cost += b[i];
    }
    fprintf(fo,"%d", cost);

    return 0;
}
