#include <bits/stdc++.h>

using namespace std;

const int NMAX = 20;
const int INF  = (1<< 30);

int activ[NMAX+2], team[NMAX+2];
int a[NMAX+2], b[NMAX+2];
int cost[NMAX+2][NMAX+2];
int N, M, Q;

int get_score()
{
    int scor = 0;
    for( int i = 1;  i <= N;  ++i ) {
        if( !activ[i] ) continue;

        if( team[i] ) scor += a[i];
        else scor += b[i];
        for( int j = i+ 1;  j <= N;  ++j ) {
            if( !activ[j] ) continue;

            if( team[i] != team[j] )
                scor -= cost[i][j];
        }
    }
    return scor;
}

int query()
{
    int best = -INF;
    for( int mk = 0;  mk < (1 << N);  ++mk ) {
        for( int i = 1;  i <= N;   ++i ) {
            team[i] = ((mk & (1 << (i - 1))) != 0);
        }
        best = max(get_score(), best);
    }
    return best;
}

void baga(int nod)
{
    activ[nod] = 1;
}

void scoate(int nod)
{
    activ[nod] = 0;
}

void all_enter()
{
    for( int i = 1;  i <= N;  ++i ) activ[i] = 1;
}

void partial_out()
{
    for( int i = 1;  i <= N / 5;  ++i ) activ[i] = 0;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> N >> M;
    for( int i = 1;  i <= N;  ++i ) activ[i] = 1;

    for( int i = 1;  i <= N;  ++i ) {
        cin >> a[i];
    }
    for( int i = 1;  i <= N;  ++i ) {
        cin >> b[i];
    }
    for( int i = 1;  i <= M;  ++i ) {
        int x,y,c;
        cin >> x >> y >> c;
        cost[x][y] = cost[y][c] = c;
    }
    cout << query() << '\n';
    cin >> Q;
    for( int q = 0;  q < Q;  ++q ) {
        int type, guy;
        cin >> type;
        if( type == 1 || type == 2 )
            cin >> guy;
        if( type == 1 )
            baga(guy);
        if( type == 2 )
            scoate(guy);
        if( type == 3 )
            all_enter();
        if( type == 4 )
            partial_out();

        if( type == 1 || type == 2 )
            cout << query() << '\n';
    }
    return 0;
}
