#include <bits/stdc++.h>
#define ll long long

using namespace std;

const int MAXN = 10;

vector < pair <int, int> > g[MAXN];
int a[MAXN], b[MAXN], n;
bool vis[MAXN];

inline ll solve() {
    ll ans = 0;
    int i;
    for(int conf = 0; conf < (1 << n); conf++) {
        ll cur = 0;
        for(i = 0; i < n; i++) {
            if(vis[i] == 0) {
                continue;
            }
            if(conf & (1 << i)) {
                cur += a[i];
            }
            else {
                cur += b[i];
            }
        }
        ll val = 0;
        for(i = 0; i < n; i++) {
            if(vis[i] == 0) {
                continue;
            }
            for(auto it : g[i]) {
                if(vis[it.first] == 0) {
                    continue;
                }
                int x = ((conf & (1 << i)) > 0);
                int y = ((conf & (1 << it.first)) > 0);
                if(x != y && it.first >= i) {
                    val += it.second;
                }
            }
        }
        cur = cur - val;
        ans = max(ans, cur);
    }
    return ans;
}

int main() {
    FILE *fi, *fout;
    int i, m, x, t, y, q;
    //fi = fopen("B.in" ,"r");
    //fout = fopen("B.out" ,"w");
    fi = stdin;
    fout = stdout;
    fscanf(fi,"%d%d" ,&n,&m);
    for(i = 0; i < n; i++) {
        fscanf(fi,"%d" ,&a[i]);
    }
    for(i = 0; i < n; i++) {
        fscanf(fi,"%d" ,&b[i]);
        vis[i] = 1;
    }
    for(i = 1; i <= m; i++) {
        fscanf(fi,"%d%d%d" ,&x,&y,&t);
        x--, y--;
        g[x].push_back({y, t});
        g[y].push_back({x, y});
    }
    fprintf(fout,"%lld\n" ,solve());
    fscanf(fi,"%d" ,&q);
    while(q > 0) {
        q--;
        int type, id;
        fscanf(fi,"%d" ,&type);
        if(type == 1) {
            fscanf(fi,"%d" ,&id);
            id--;
            vis[id] = 1;
        }
        if(type == 2) {
            fscanf(fi,"%d" ,&id);
            id--;
            vis[id] = 0;
        }
        if(type < 3) {
            fprintf(fout,"%lld\n" ,solve());
        }
        if(type == 3) {
            for(i = 0; i < n; i++) {
                vis[i] = 1;
            }
        }
        if(type == 4) {
            for(i = 0; i < n / 5; i++) {
                vis[i] = 0;
            }
        }
    }
    //fclose(fi);
    //fclose(fout);
    return 0;
}
