#include <bits/stdc++.h>

using namespace std;

#define fin cin
#define fout cout
//ifstream fin ("x.in"); ofstream fout ("x.out");

const int nmax = 1e3 + 5;
const int mmax = 1e5 + 2 * nmax;

struct edge {
    int x, cap, flux, indop;
} v[2 * mmax + 1];

int flxtot[2 * mmax + 1], MINCUTINIT, NRDRUMINIT, Q;
vector<int> g[nmax + 1];

vector<bool> scos;
vector<vector<int>> drum;
vector<pair<int, int>> care[nmax + 1];

bool active[nmax + 1];
bool augument[nmax + 1];

int n, S, D, nrm, valmincut;
int tata[nmax + 1], intra[nmax + 1];

int good[nmax + 1], bad[nmax + 1];

void trage_muchie (int x, int y, int cap, int capinv) {
    ++ nrm;
    v[nrm].x = y;
    v[nrm].cap = cap;
    v[nrm].flux = 0;
    v[nrm].indop = nrm + 1;
    g[x].push_back(nrm);

    ++ nrm;
    v[nrm].x = x;
    v[nrm].cap = capinv;
    v[nrm].flux = 0;
    v[nrm].indop = nrm - 1;
    g[y].push_back(nrm);
}

void citire_si_graf() {
    int m;
    fin >> n >> m;

    S = n + 1;
    D = S + 1;

    for (int i = 1; i <= n; ++ i) {
        fin >> good[i];
        trage_muchie(S, i, good[i], 0);
    }
    for (int i = 1; i <= n; ++ i) {
        fin >> bad[i];
        trage_muchie(i, D, bad[i], 0);
    }

    for (int i = 1; i <= m; ++ i) {
        int x, y, t;
        fin >> x >> y >> t;

        trage_muchie(x, y, t, t);
    }
}

bool bfs (int sursa, int destinatie) {
    for (int i = 1; i <= D; ++ i) {
        tata[i] = intra[i] = -1;
    }

    queue<int> q;
    q.push(sursa);

    while (!q.empty()) {
        int x = q.front();
        q.pop();

        for (auto i : g[x]) {
            if (tata[v[i].x] == -1 && v[i].flux < v[i].cap && active[v[i].x] == 1) {
                tata[v[i].x] = x;
                intra[v[i].x] = i;
                q.push(v[i].x);
            }
        }
    }

    return (tata[destinatie] != -1);
}

int min_cut (int SRS, int DST) {
    int ans = 0;

    while (bfs(SRS, DST)) {
        for (auto i : g[DST]) {
            if (tata[v[i].x] != -1 && v[v[i].indop].flux < v[v[i].indop].cap) {
                int mn = v[v[i].indop].cap - v[v[i].indop].flux;
                for (int x = v[i].x; x != SRS; x = tata[x])
                    mn = min(mn, v[intra[x]].cap - v[intra[x]].flux);

                ans += mn;

                v[v[i].indop].flux += mn;
                v[i].flux -= mn;

                if (Q) {
                    scos.push_back(0);
                    drum.push_back(vector<int>());
                    drum.back().push_back(v[i].indop);
                }

                for (int x = v[i].x; x != SRS; x = tata[x]) {
                    if (Q) {
                        drum.back().push_back(intra[x]);
                        care[x].push_back({drum.size() - 1, mn});
                    }

                    v[intra[x]].flux += mn;
                    v[v[intra[x]].indop].flux -= mn;
                }
            }
        }
    }
    return ans;
}

void solve () {
    int ans = 0;
    for (int i = 1; i <= n; ++ i) {
        if (active[i])
            ans += good[i] + bad[i];
    }

    fout << ans - valmincut << "\n";
}

void baga (int x) {
    active[x] = 1;
    valmincut += min_cut(S, D);
}

void scoate () {
    for (int i = 1; i <= n; ++ i) {
        if (augument[i] == 0) continue;

        for (auto j : care[i]) {
            if (scos[j.first] == 1)
                continue;

            scos[j.first] = 1;
            valmincut -= j.second;
            for (auto e : drum[j.first]) {
                v[e].flux -= j.second;
                v[v[e].indop].flux += j.second;
            }
        }

        //assert(v[2 * i - 1].flux == 0);
        active[i] = 0;
        augument[i] = 0;
    }

    valmincut += min_cut(S, D);
}

int main () {
    citire_si_graf();
    int q;
    fin >> q;

    Q = q;

    for (int i = 1; i <= D; ++ i)
        active[i] = 1;

    MINCUTINIT = valmincut = min_cut(S, D);
    NRDRUMINIT = drum.size();
    for (int i = 1; i <= nrm; ++ i)
        flxtot[i] = v[i].flux;

    solve();

    /*for (auto i : drum) {
        for (auto j : i) {
            cout << j << " ";
        }
        cout << "\n";
    }
    for (int i = 1; i <= n; ++ i) {
        cout << "!" << i << ": ";
        for (auto j : care[i])
            cout << j.first << " " << j.second << "\n";
        cout << "\n";
    }*/

    while (q --) {
        int tip, x;
        fin >> tip;

        if (tip == 1) {
            fin >> x;
            baga(x);

            solve();
        } else if (tip == 2) {
            fin >> x;
            augument[x] = 1;
            scoate();

            solve();
        } else if (tip == 3) {
            for (int i = 1; i <= n; ++ i)
                active[i] = 1;

            /// restore edges to initial state
            valmincut = MINCUTINIT;
            for (int i = 1; i <= nrm; ++ i)
                v[i].flux = flxtot[i];
            for (int i = 0; i < NRDRUMINIT; ++ i)
                scos[i] = 0;
            drum.resize(NRDRUMINIT);
            scos.resize(NRDRUMINIT);
        } else {
            for (int i = 1; i <= n / 5; ++ i) {
                augument[i] = 1;
            }

            scoate();
        }
    }

    return 0;
}

