#include<bits/stdc++.h>

using namespace std;

struct Edge {
  int u, v;
  int cr;
  int inv;
}E[300005];

int k;

vector<int>G[2005];

void addEdge(int x, int y, int z) {
  k++;
  E[k] = {x, y, z, k + 1};
  G[x].push_back(k);
  k++;
  E[k] = {y, x, 0, k - 1};
  G[y].push_back(k);
}

int from[2005];

int bfs(int s, int d, int n) {
  queue<int>q;
  q.push(s);
  for (int i = 1; i <= n; ++i)
    from[i] = -1;
  from[s] = 0;
  while (!q.empty() && from[d] == -1) {
    int x = q.front();
    q.pop();
    for (auto it:G[x]) {
      int other = E[it].v;
      if (from[other] == -1 && E[it].cr) {
        q.push(other);
        from[other] = it;
      }
    }
  }
  return from[d];
}

int mf(int s, int d, int n) {
  int ans = 0;
  while (bfs(s, d, n) != -1) {
    int m = 1000000000;
    int x = d;
    while (x != s) {
      assert(x > 0);
      m = min(m, E[from[x]].cr);
      x = E[from[x]].u;
    }
    x = d;
    while (x != s) {
      assert(x > 0);
      E[from[x]].cr -= m;
      E[E[from[x]].inv].cr += m;
      x = E[from[x]].u;
    }
    ans += m;
  }
  return ans;
}

int main() {
  //freopen("date.in", "r", stdin);
  //freopen("date.out", "w", stdout);

  int n, m;
  scanf("%d%d", &n, &m);

  int ans = 0;
  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    ans += x;
    addEdge(1, i + 1, x);
    addEdge(i + 1, i + n + 1, 10000000);
  }

  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    ans += x;
    addEdge(i + n + 1, 2 * n + 2, x);
  }

  for (int i = 1; i <= m; ++i) {
    int u, v, x;
    scanf("%d%d%d", &u, &v, &x);
    addEdge(u + 1, v + n + 1, x);
    addEdge(v + 1, u + n + 1, x);
  }

  assert(0);

  printf("%d\n", ans - mf(1, 2 * n + 2, 2 * n + 2));
}
