#include<bits/stdc++.h>

using namespace std;

vector<int>G[1005];

int cr[1005][1005];

void addEdge(int x, int y, int z) {
  cr[x][y] = z;
  G[x].push_back(y);
  G[y].push_back(x);
}

int from[2005];

int bfs(int s, int d, int n) {
  queue<int>q;
  q.push(s);
  for (int i = 1; i <= n; ++i)
    from[i] = -1;
  from[s] = 0;
  while (!q.empty() && from[d] == -1) {
    int x = q.front();
    q.pop();
    for (auto it:G[x]) {
      if (from[it] == -1 && cr[x][it]) {
        q.push(it);
        from[it] = x;
      }
    }
  }
  return from[d];
}

int mf(int s, int d, int n) {
  int ans = 0;
  while (bfs(s, d, n) != -1) {
    for (auto it:G[d]) {
      if (from[it] != -1 && cr[it][d]) {
        int m = cr[it][d];
        int x = it;
        while (x != s) {
          m = min(m, cr[from[x]][x]);
          x = from[x];
        }
        cr[it][d] -= m;
        cr[d][it] += m;
        x = it;
        while (x != s) {
          cr[from[x]][x] -= m;
          cr[x][from[x]] += m;
          x = from[x];
        }
        ans += m;
      }
    }
  }
  return ans;
}

bool ac[15];
int g[1005], b[1005];
int x1[10005], yy1[10005], t1[10005];

void calc(int n, int m) {
  int ns = (1 << n);
  int ans = 0;
  for (int i = 0; i < ns; ++i) {
    int aux = 0;
    for (int j = 0; j < n; ++j)
      if (!ac[j + 1] && (i & (1 << j)))
        aux += g[j + 1];
      else if (!ac[j + 1])
        aux += b[j + 1];
    for (int j = 1; j <= m; ++j)
      if (!ac[x1[j]] && !ac[yy1[j]]) {
        int l1 = (i & (1 << (x1[j] - 1)));
        int c1 = (i & (1 << (yy1[j] - 1)));
        l1 = (l1 > 0);
        c1 = (c1 > 0);
        if (l1 != c1)
          aux -= t1[j];
      }
    ans = max(ans, aux);
  }
  printf("%d\n", ans);
}

int main() {
  //freopen("date.in", "r", stdin);
  //freopen("date.out", "w", stdout);

  int n, m;
  scanf("%d%d", &n, &m);

  int ans = 0;
  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    //g[i] = x;
    ans += x;
    addEdge(1, i + 1, x);
  }

  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    //b[i] = x;
    ans += x;
    addEdge(i + 1, n + 2, x);
  }

  for (int i = 1; i <= m; ++i) {
    int u, v, x;
    scanf("%d%d%d", &u, &v, &x);
    //x1[i] = u;
    //yy1[i] = v;
    //t1[i] = x;
    addEdge(u + 1, v + 1, x);
    addEdge(v + 1, u + 1, x);
  }

  printf("%d\n", ans - mf(1, n + 2, n + 2));

  /*if (n <= 10) {
    int q;
    scanf("%d", &q);
    for (int i = 1; i <= q; ++i) {
      int t;
      scanf("%d", &t);
      if (t == 1) {
        int w;
        scanf("%d", &w);
        ac[w] = 0;
        calc(n, m);
      } else if (t == 2) {
        int w;
        scanf("%d", &w);
        ac[w] = 1;
        calc(n, m);
      } else if (t == 3) {
        for (int j = 1; j <= n; ++j)
          ac[j] = 0;
      } else if (t == 4) {
        for (int j = 1; j <= n / 5; ++j)
          ac[j] = 1;
      }
    }
  }*/
}
