#include<bits/stdc++.h>

using namespace std;

vector<int>G[1005];

int cr[1005][1005];

void addEdge(int x, int y, int z) {
  cr[x][y] = z;
  G[x].push_back(y);
  G[y].push_back(x);
}

int from[1005];

int bfs(int s, int d, int n) {
  queue<int>q;
  q.push(s);
  for (int i = 1; i <= n; ++i)
    from[i] = -1;
  from[s] = 0;
  while (!q.empty() && from[d] == -1) {
    int x = q.front();
    q.pop();
    for (auto it:G[x]) {
      if (from[it] == -1 && cr[x][it]) {
        q.push(it);
        from[it] = x;
      }
    }
  }
  return from[d];
}

int mf(int s, int d, int n) {
  int ans = 0;
  while (bfs(s, d, n) != -1) {
    for (auto it:G[d]) {
      if (from[it] != -1 && cr[it][d]) {
        int m = cr[it][d];
        int x = it;
        while (x != s) {
          m = min(m, cr[from[x]][x]);
          x = from[x];
        }
        cr[it][d] -= m;
        cr[d][it] += m;
        x = it;
        while (x != s) {
          cr[from[x]][x] -= m;
          cr[x][from[x]] += m;
          x = from[x];
        }
        ans += m;
      }
    }
  }
  return ans;
}

bool ac[1005];
int g[1005], b[1005];
int x1[100005], yy1[100005], t1[100005];

void get(int n, int m) {
  for (int i = 1; i <= n + 2; ++i)
    for (int j = 1; j <= n + 2; ++j)
      cr[i][j] = 0;
  for (int i = 1; i <= n; ++i)
    G[i].clear();
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      addEdge(1, i + 1, g[i]);
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      addEdge(i + 1, n + 2, b[i]);
  for (int i = 1; i <= m; ++i)
    if (!ac[x1[i]] && !ac[yy1[i]]) {
      int u = x1[i];
      int v = yy1[i];
      int x = t1[i];
      addEdge(u + 1, v + 1, x);
      addEdge(v + 1, u + 1, x);
    }
}

void solve(int n, int m) {
  int ans = 0;
  for (int i = 1; i <= n; ++i)
    if (!ac[i])
      ans += g[i] + b[i];
  printf("%d\n", ans - mf(1, n + 2, n + 2));
}

int main() {
  //freopen("date.in", "r", stdin);
  //freopen("date.out", "w", stdout);

  int n, m;
  scanf("%d%d", &n, &m);

  int ans = 0;
  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    g[i] = x;
    ans += x;
  }

  for (int i = 1; i <= n; ++i) {
    int x;
    scanf("%d", &x);
    b[i] = x;
    ans += x;
  }

  for (int i = 1; i <= m; ++i) {
    int u, v, x;
    scanf("%d%d%d", &u, &v, &x);
    x1[i] = u;
    yy1[i] = v;
    t1[i] = x;
  }

  get(n, m);
  solve(n, m);

  int q;
  scanf("%d", &q);
  for (int i = 1; i <= q; ++i) {
    int t;
    scanf("%d", &t);
    if (t == 1) {
      int x;
      scanf("%d", &x);
      ac[x] = 0;
      get(n, m);
      solve(n, m);
    } else if (t == 2) {
      int x;
      scanf("%d", &x);
      ac[x] = 1;
      get(n, m);
      solve(n, m);
    } else if (t == 3) {
      for (int i = 1; i <= n; ++i)
        ac[i] = 0;
    } else {
      for (int i = 1; i <= n / 5; ++i)
        ac[i] = 1;
    }
  }
}
