#include <iostream>
#include <string.h>

using namespace std;

const int MAX_N = 2e3 + 10;
int dp[MAX_N][MAX_N][2];

int n, a, b, k;
int calc_dp(int da, int db, int t) {
    if (da <= 0)
        return (t == 0 ? 3 : 1);
    if (db <= 0)
        return (t == 1 ? 3 : 1);
    if (dp[da][db][t] != 0)
        return dp[da][db][t];
    dp[da][db][t] = 2;
    int x;
    if (t == 0) {
        x = calc_dp(da - a, db, 1 - t);
        if ( da - db > 0 && da - db <= a )
            x = min( x, calc_dp(db, min(n, db + k), 1 - t));
    } else {
        x = calc_dp(da, db - b, t - 1 );
        if ( db - da > 0 && db - da <= b )
            x = min( x, calc_dp(min(n, da + k), da, 1 - t) );
    }
    return dp[da][db][t] = 4 - x;
}

int main() {
    int t;
    for (cin >> t; t > 0; t--) {
        cin >> n >> a >> b >> k;
        n--
        for (int i = 0; i <= n; i++)
            for (int j = 0; j <= n; j++)
                dp[i][j][0] = dp[i][j][1] = 0;
        int x = calc_dp( n, n, 0 );
        if ( x == 3 ) cout << "Lora";
        else if ( x == 2 ) cout << "Draw";
        else cout << "Bobi";
        cout << '\n';
    }

    return 0;
}
