#include <bits/stdc++.h>

using namespace std;

typedef pair<int, int> pii;

int N, M, ans;
int good[1005], bad[1005], f[1005], team[1005];
vector<int> nodes;
vector<pii> edg[1005];

void bck(int pas, int pans)
{
    if(pas >= nodes.size())
    {
        ans = max(ans, pans);
        return;
    }

    int i = nodes[pas];
    {
        int newans = pans + good[i];
        team[i] = 0;
        for(auto e: edg[i])
            if(e.first < i && f[e.first] && team[e.first] != team[i])
                newans -= e.second;
        bck(pas + 1, newans);
    }

    {
        int newans = pans + bad[i];
        team[i] = 1;
        for(auto e: edg[i])
            if(e.first < i && f[e.first] && team[e.first] != team[i])
                newans -= e.second;
        bck(pas + 1, newans);
    }
}

void solve()
{
    nodes.clear();
    for(int i = 1; i <= N; i++)
        if(f[i])    nodes.push_back(i);

    ans = -1;
    bck(0, 0);

    printf("%d\n", ans);
}

void setState(int id, int x)
{
    f[id] = x;
    return;

    if(x == f[id])  return;
    if(x == 0)
    {
        if(team[id] == 0)   ans -= good[id];
        if(team[id] == 1)   ans -= bad[id];

        for(auto e: edg[id])
            if(f[e.first])
            {
                if(team[id] != team[e.first])  ans += e.second;
            }

        f[id] = 0;
    }
    else
    {
        if(team[id] == 0)   ans += good[id];
        if(team[id] == 1)   ans += bad[id];

        for(auto e: edg[id])
            if(f[e.first])
            {
                if(team[id] != team[e.first])  ans -= e.second;
            }

        f[id] = 1;
    }
}

int main()
{
    //freopen("1.in", "r", stdin);
    //freopen("1.out", "w", stdout);

    scanf("%d%d", &N, &M);
    for(int i = 1; i <= N; i++) scanf("%d", &good[i]);
    for(int i = 1; i <= N; i++) scanf("%d", &bad[i]);
    for(int i = 1; i <= N; i++) f[i] = 1, team[i] = 1, ans += bad[i];
    for(int i = 1; i <= M; i++)
    {
        int x, y, z;
        scanf("%d%d%d", &x, &y, &z);
        edg[x].push_back({y, z});
        edg[y].push_back({x, z});
    }

    solve();
    int Q;
    scanf("%d", &Q);
    for(int q = 1; q <= Q; q++)
    {
        int op;
        scanf("%d", &op);
        if(op == 3)
        {
            for(int i = 1; i <= N; i++) setState(i, 1);
        }
        else if(op == 4)
        {
            for(int i = 1; i <= N / 5; i++) setState(i, 0);
        }
        else if(op == 1 || op == 2)
        {
            int x;
            scanf("%d", &x);
            if(op == 1) setState(x, 1);
            else    setState(x, 0);
            solve();
        }
    }

    return 0;
}
