#include <bits/stdc++.h>

using namespace std;

typedef pair<int, int> pii;

int N, M, ans;
int good[1005], bad[1005], f[1005], team[1005], ord[1005];
vector<int> nodes;
vector<pii> edg[1005];

namespace Brute
{

    void bck(int pas, int pans)
    {
        if(pas >= nodes.size())
        {
            ans = max(ans, pans);
            return;
        }

        int i = nodes[pas];
        {
            int newans = pans + good[i];
            team[i] = 0;
            for(auto e: edg[i])
                if(e.first < i && f[e.first] && team[e.first] != team[i])
                    newans -= e.second;
            bck(pas + 1, newans);
        }

        {
            int newans = pans + bad[i];
            team[i] = 1;
            for(auto e: edg[i])
                if(e.first < i && f[e.first] && team[e.first] != team[i])
                    newans -= e.second;
            bck(pas + 1, newans);
        }
    }

    void solve()
    {
        nodes.clear();
        for(int i = 1; i <= N; i++)
            if(f[i])    nodes.push_back(i);

        ans = -1;
        bck(0, 0);

        printf("%d\n", ans);
    }

    void setState(int id, int x)
    {
        f[id] = x;
        return;

        if(x == f[id])  return;
        if(x == 0)
        {
            if(team[id] == 0)   ans -= good[id];
            if(team[id] == 1)   ans -= bad[id];

            for(auto e: edg[id])
                if(f[e.first])
                {
                    if(team[id] != team[e.first])  ans += e.second;
                }

            f[id] = 0;
        }
        else
        {
            if(team[id] == 0)   ans += good[id];
            if(team[id] == 1)   ans += bad[id];

            for(auto e: edg[id])
                if(f[e.first])
                {
                    if(team[id] != team[e.first])  ans -= e.second;
                }

            f[id] = 1;
        }
    }

    int main()
    {
        solve();
        int Q;
        scanf("%d", &Q);
        for(int q = 1; q <= Q; q++)
        {
            int op;
            scanf("%d", &op);
            if(op == 3)
            {
                for(int i = 1; i <= N; i++) setState(i, 1);
            }
            else if(op == 4)
            {
                for(int i = 1; i <= N / 5; i++) setState(i, 0);
            }
            else if(op == 1 || op == 2)
            {
                int x;
                scanf("%d", &x);
                if(op == 1) setState(x, 1);
                else    setState(x, 0);
                solve();
            }
        }

        exit(0);
    }
}

int main()
{
    //freopen("1.in", "r", stdin);
    //freopen("1.out", "w", stdout);

    scanf("%d%d", &N, &M);
    for(int i = 1; i <= N; i++) scanf("%d", &good[i]);
    for(int i = 1; i <= N; i++) scanf("%d", &bad[i]);
    for(int i = 1; i <= N; i++) f[i] = 1, team[i] = 1, ans += bad[i];
    for(int i = 1; i <= M; i++)
    {
        int x, y, z;
        scanf("%d%d%d", &x, &y, &z);
        edg[x].push_back({y, z});
        edg[y].push_back({x, z});
    }

    if(N <= 10) Brute::main();

    int ans = -1;

    mt19937 g(chrono::high_resolution_clock::now().time_since_epoch().count());
    vector<int> prm;
    for(int i = 1; i <= N; i++) prm.push_back(i);

    for(int tt = 1; tt <= 2500; tt++)
    {
        shuffle(prm.begin(), prm.end(), g);
        for(int i = 0; i < N; i++)
            ord[ prm[i] ] = i;

        int sol = 0;
        for(auto id: prm)
        {
            int addgood = good[id];
            int addbad = bad[id];
            for(auto e: edg[id])
            {
                if(ord[e.first] < ord[id] && team[e.first] == 1)    addgood -= e.second;
                if(ord[e.first] < ord[id] && team[e.first] == 0)    addbad -= e.second;
            }

            if(addgood > addbad)
            {
                sol += addgood;
                team[id] = 0;
            }
            else
            {
                sol += addbad;
                team[id] = 1;
            }
        }

        ans = max(ans, sol);
    }
    printf("%d\n", ans);
}
