#include <bits/stdc++.h>

using namespace std;

int N, A, B, K;
unordered_map<int, int> mpA[200005], mpB[200005];

int winA(int x, int y);
int winB(int x, int y);

int winA(int x, int y)
{
    if(x == N)  return 1;
    if(y == N)  return -1;
    if(mpA[x].count(y))   return mpA[x][y];
    mpA[x][y] = 0;

    bool draw = false;
    for(int l = min(A, N - x); l >= 1; l--)
    {
        int nx = x + l, ny = y;
        if(nx == y) ny = max(y - K, 1);

        int ans = winB(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpA[x][y] = 1;
            return 1;
        }
    }

    if(draw)    return 0;

    mpA[x][y] = -1;
    return -1;
}

int winB(int x, int y)
{
    if(y == N)  return 1;
    if(x == N)  return -1;
    if(mpB[x].count(y)) return mpB[x][y];
    mpB[x][y] = 0;

    bool draw = false;
    for(int l = min(B, N - y); l >= 1; l--)
    {
        int ny = y + l, nx = x;
        if(ny == x) nx = max(x - K, 1);

        int ans = winA(nx, ny);
        if(ans == 0)    draw = true;
        if(ans == -1)
        {
            mpB[x][y] = 1;
            return 1;
        }
    }

    if(draw)    return 0;

    mpB[x][y] = -1;
    return -1;
}

void solve_test()
{
    scanf("%d%d%d%d", &N, &A, &B, &K);

    if(A == B)
    {
        if(K == A)
            printf("Draw\n");
        else
            printf("Lora\n");
        return;
    }

    if(A > B)
    {
        printf("Lora\n");
        return;
    }

    for(int i = 1; i <= N; i++) mpA[i].clear(), mpB[i].clear();
    int ans = winA(1, 1);
    if(ans == 1)
    {
        printf("Lora\n");
        return;
    }
    if(ans == 0)
    {
        printf("Draw\n");
        return;
    }
    printf("Bobi\n");
    return;
}

int main()
{
    //freopen("1.in", "r", stdin);
    //freopen("1.out", "w", stdout);

    int T;
    scanf("%d", &T);
    for(int t = 1; t <= T; t++)
        solve_test();

    return 0;
}
