
#include <bits/stdc++.h>

using namespace std;
using nagai = long long;
using uint = unsigned int;
mt19937 rnd(228);

uint seed = 123123123;
uint xrand()
{
	seed ^= seed << 2;
	seed ^= seed >> 7;
	seed ^= seed << 7;
	return seed;
}
int mod;

int mult(int a, int b)
{
	return (nagai)a * b % mod;
}

int add(int a, int b)
{
	a += b;
	if (a >= mod)
		return a - mod;
	return a;
}

const int N = 201;
int dp[N][N][2];
struct st
{
	int x, y, turn;
	st(){}
	st(int x, int y, int turn)
		: x(x), y(y), turn(turn)
	{}
};

//vector<st> g[N][N][2];
vector<st> gr[N][N][2];
vector<st> term;
int cnt[N][N][2];

/*
int solve_smart(int n, int l, int b, int K)
{
	if (l == n)
		return 0;
	else if (l > b)
		return 0;
	else if (b >= l + K)
		return 1;
	else
		return -1;
	for (int i = 0; i <= n; ++i)
		for (int j = 0; j <= n; ++j)
		{
			dp[i][j][0] = dp[i][j][1] = -1;
			g[i][j][0].clear();
			g[i][j][1].clear();
			gr[i][j][0].clear();
			gr[i][j][1].clear();
			term.clear();
		}
	for (int i = n; i >= 0; --i)
		for (int j = n; j >= 0; --j)
			for (int k = 0; k < 2; ++k)
			{
				if (i == n)
				{
					dp[i][j][k] = k == 0;
					term.emplace_back(i, j, k);
					continue;
				}
				else if (j == n)
				{
					dp[i][j][k] = k == 1;
					term.emplace_back(i, j, k);
					continue;
				}
				if (k == 0)
				{
					vector<int> inter = {j - 1, i + l, i + K, n - l};
					for (int x1 : inter)
//							for (int x1 = i + 1; x1 <= i + l; ++x1)
					{
						int x = x1;
						x = max(x, i + 1);
						x = min(x, i + l);
						x = min(x, n);
						if (x == j)
							continue;
						g[i][j][k].emplace_back(x, j, k ^ 1);
					}
					if (i < j && j - i <= l)
						g[i][j][k].emplace_back(j, max(1, j - K), k ^ 1);
				}
				else
				{
					vector<int> inter = {i - 1, j + b, j + K, n - b};
					for (int x1 : inter)
//							for (int x1 = j + 1; x1 <= j + b; ++x1)
					{
						int x = x1;
						x = max(x, j + 1);
						x = min(x, j + b);
						x = min(x, n);
						if (x == i)
							continue;
						g[i][j][k].emplace_back(i, x, k ^ 1);
					}
					if (j < i && i - j <= b)
						g[i][j][k].emplace_back(max(1, i - K), i, k ^ 1);
				}
			}
	for (int i = 0; i <= n; ++i)
		for (int j = 0; j <= n; ++j)
			for (int k = 0; k < 2; ++k)
			{
				cnt[i][j][k] = g[i][j][k].size();
				for (auto& st : g[i][j][k])
				{
//					if (i == 2 && j == 4 && k == 0)
//						cerr << st.x << ' ' << st.y << ' ' << st.turn << '\n';
					gr[st.x][st.y][st.turn].emplace_back(i, j, k);
				}
			}
	vector<st> q = term;
	for (int i = 0; i < q.size(); ++i)
	{
		auto x = q[i];
		int a = x.x, b = x.y, c = x.turn;
//		cerr << a << ' ' << b << ' ' << c << ' ' << dp[a][b][c] << '\n';
		for (auto& y : gr[a][b][c])
		{
			if (dp[y.x][y.y][y.turn] != -1)
				continue;
			if (dp[a][b][c] == 0)
			{
				dp[y.x][y.y][y.turn] = 1;
				q.emplace_back(y);
			}
			else
				if (--cnt[y.x][y.y][y.turn] == 0)
				{
					dp[y.x][y.y][y.turn] = 0;
					q.emplace_back(y);
				}
		}
	}
	int ans = dp[1][1][0];
	if (ans == -1)
		return -1;
	else if (ans == 1)
		return 0;
	else
		return 1;
}
*/

int solve_stupid(int n, int l, int b, int K)
{
	if (l == n)
		return 0;
	else if (l > b)
		return 0;
	else if (b >= l + K)
		return 1;
	for (int i = 0; i <= n; ++i)
		for (int j = 0; j <= n; ++j)
		{
			dp[i][j][0] = dp[i][j][1] = -1;
			gr[i][j][0].clear();
			gr[i][j][1].clear();
			cnt[i][j][0] = cnt[i][j][1] = 0;
			term.clear();
		}
	for (int i = n; i >= 0; --i)
		for (int j = n; j >= 0; --j)
			for (int k = 0; k < 2; ++k)
			{
				if (i == n)
				{
					dp[i][j][k] = k == 0;
					term.emplace_back(i, j, k);
					continue;
				}
				else if (j == n)
				{
					dp[i][j][k] = k == 1;
					term.emplace_back(i, j, k);
					continue;
				}
				if (k == 0)
				{
					vector<int> inter = {j - 1, i + l, i + K};
					for (int x1 = i + 1; x1 <= i + l; ++x1)
					{
						int x = x1;
						x = max(x, 1);
						x = min(x, n);
						if (x == j)
							continue;
						if (x > i && x - i <= l)
//							g[i][j][k].emplace_back(x, j, k ^ 1);
							gr[x][j][k ^ 1].emplace_back(i, j, k);
					}
					if (i < j && j - i <= l)
//						g[i][j][k].emplace_back(j, max(1, j - K), k ^ 1);
						gr[j][max(1, j - K)][k ^ 1].emplace_back(i, j, k);
				}
				else
				{
					vector<int> inter = {i - 1, j + b, j + K};
					for (int x1 = j + 1; x1 <= j + b; ++x1)
					{
						int x = x1;
						x = max(x, 1);
						x = min(x, n);
						if (x == i)
							continue;
						if (x > j && x - j <= b)
//							g[i][j][k].emplace_back(i, x, k ^ 1);
							gr[i][x][k ^ 1].emplace_back(i, j, k);
					}
					if (j < i && i - j <= b)
//						g[i][j][k].emplace_back(max(1, i - K), i, k ^ 1);
						gr[max(1, i - K)][i][k ^ 1].emplace_back(i, j, k);
				}
			}
	for (int i = 0; i <= n; ++i)
		for (int j = 0; j <= n; ++j)
			for (int k = 0; k < 2; ++k)
				for (auto& st : gr[i][j][k])
					++cnt[st.x][st.y][st.turn];
	vector<st> q = term;
	for (int i = 0; i < q.size(); ++i)
	{
		auto x = q[i];
		int a = x.x, b = x.y, c = x.turn;
		for (auto& y : gr[a][b][c])
		{
			if (dp[y.x][y.y][y.turn] != -1)
				continue;
			if (dp[a][b][c] == 0)
			{
				dp[y.x][y.y][y.turn] = 1;
				q.emplace_back(y);
			}
			else
				if (--cnt[y.x][y.y][y.turn] == 0)
				{
					dp[y.x][y.y][y.turn] = 0;
					q.emplace_back(y);
				}
		}
	}
	int ans = dp[1][1][0];
	if (ans == -1)
		return -1;
	else if (ans == 1)
		return 0;
	else
		return 1;
}

char f(int x)
{
	if (x == 0)
		return '+';
	else if (x == 1)
		return '-';
	else 
		return '?';
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	int t;
	bool stress = false;
	/*
	int n, l, b, K;
	cin >> l >> b >> K;
	for (n = 3; n < 100; ++n)
		cout << f(solve_stupid(n, l, b, K));
	return 0;
	*/

	if (stress)
		t = 10000;
	else
		cin >> t;
	while (t--)
	{
		int n, l, b, K;
		if (stress)
		{
			n = rnd() % 15 + 3;
			l = rnd() % n + 1;
			b = rnd() % n + 1;
			K = rnd() % min(l, b) + 1;
		}
		else
			cin >> n >> l >> b >> K;
		if (stress)
		{
			/*
			int x = solve_smart(n, l, b, K);
//			int b = a;
			int y = solve_stupid(n, l, b, K);
			if (x != y)
			{
				cout << x << ' ' << y << '\n';
				cout << n << ' ' << l << ' ' << b << ' ' << K << '\n';
				return 0;
			}
			*/
		}
		else
		{
			int a = solve_stupid(n, l, b, K);
			if (a == 0)
				cout << "Lora\n";
			else if (a == 1)
				cout << "Bobi\n";
			else
				cout << "Draw\n";
		}
	}
}
