#include <bits/stdc++.h>
#define x first
#define y second
#define pb push_back
#define mp make_pair
using namespace std;

typedef long long ll;
typedef pair<int, int> point;

template<typename T1, typename T2> inline void chkmin(T1 &x, const T2 &y) {if (x > y) x = y;}
template<typename T1, typename T2> inline void chkmax(T1 &x, const T2 &y) {if (x < y) x = y;}

template<typename T1, typename T2> 
istream &operator >> (istream &_in, pair<T1, T2> &a) {
	_in >> a.x >> a.y;
	return _in;
} 

template<typename T> 
istream &operator >> (istream &_in, vector<T> &a) {
	for (auto &i : a) {
		_in >> i;
	}
	return _in;
} 

template<typename T1, typename T2> 
ostream &operator << (ostream &_out, const pair<T1, T2> &a) {
	_out << a.x << ' ' << a.y;
	return _out;
} 

template<typename T> 
ostream &operator << (ostream &_out, const vector<T> &a) {
	bool OK = false;
	for (auto &i : a) {
		if (OK) {
			_out<< ' ';
		} else {
			OK = true;
		}
		_out << i;
	}
	return _out;
} 


int readInt() {
	int v = 0;
	char c = getchar_unlocked();
	while ('0' <= c && c <= '9') {
		v = (v << 3) + (v << 1) + c - '0';
		c = getchar_unlocked();
	}
	return v;
}

void writeString(string s) {
	for (auto c : s) {
		putchar_unlocked(c);
	}
}

void writeInt(int v) {	
	writeString(to_string(v));
}

const int N = 2e6 + 1;

int cnt[2001][2001][2];
int vis[2001][2001][2];
bool val[2001][2001][2];
vector<pair<int, int>> redge[2001][2001][2];
vector<pair<int, int>> edge[2001][2001][2];

void solve(int n, int a, int b, int k) {
	// if (a > b) {
	// 	cout << "Lora\n";
	// 	return;
	// }
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			edge[i][j][0].clear();
			edge[i][j][1].clear();
			redge[i][j][0].clear();
			redge[i][j][1].clear();
			cnt[i][j][0] = cnt[i][j][1] = 0;
			vis[i][j][0] = vis[i][j][1] = false;
			for (int q = 1; q <= a; ++q) {
				if (i + q == j) {
					edge[i][j][0].pb({j, max(j - k, 0)});
				} else {
					if (abs(q - a) <= 10)
					edge[i][j][0].pb({min(n - 1, i + q), j});
				}
			}
			for (int q = 1; q <= b; ++q) {
				if (j + q == i) {
					edge[i][j][1].pb({max(i - k, 0), i});
				} else {
					if (abs(q - b) <= 10)
					edge[i][j][1].pb({i, min(n - 1, j + q)});
				}
			}
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			for (int t = 0; t < 2; ++t) {
				cnt[i][j][t] = edge[i][j][t].size();
				for (auto q : edge[i][j][t]) {
					redge[q.x][q.y][!t].pb({i, j});
				}
			}
		}
	}
	queue<pair<pair<int, int>, int>> que;
	for (int i = 0; i + 1 < n; ++i) {
		vis[i][n - 1][0] = 1;
		val[i][n - 1][0] = 0;
		que.push({{i, n - 1}, 0});
		vis[n - 1][i][1] = 1;
		val[n - 1][i][1] = 0;	
		que.push({{n - 1, i}, 1});	
	}
		// cout << cnt[3][0][1] << endl;

	while (que.size()) {
		auto cur = que.front();
		que.pop();
		int i = cur.x.x, j = cur.x.y, t = cur.y;
		// if (t == 1) cout << "				";
		// cout << i << ' ' << j << ' ' << val[i][j][t] << endl;
		if (val[i][j][t]) {
 			for (auto q : redge[i][j][t]) {
 				if (vis[q.x][q.y][!t]) continue;
  				if (!(--cnt[q.x][q.y][!t])) {
  					vis[q.x][q.y][!t] = true;
  					val[q.x][q.y][!t] = false;
  					que.push({q, !t});
 				}
 			}
		} else {
			for (auto q : redge[i][j][t]) {
 				if (vis[q.x][q.y][!t]) continue;
				vis[q.x][q.y][!t] = true;
				val[q.x][q.y][!t] = true;
				que.push({q, !t});
 			}
		}
	}
	// cout << "Lora:\n"; 
	// for (int i = 0; i < n; ++i) {
	// 	for (int j = 0; j  < n; ++j) {
	// 		if (!vis[i][j][0]) cout << 2;
	// 		else if (val[i][j][0]) cout << 1;
	// 		else cout << 0;
	// 	}
	// 	cout << endl;
	// }
	// cout << "Bobi\n";
	// for (int i = 0; i < n; ++i) {
	// 	for (int j = 0; j < n; ++j) {
	// 		if (!vis[i][j][0]) cout << 2;
	// 		else if (val[i][j][0]) cout << 1;
	// 		else cout << 0;
	// 	}
	// 	cout << endl;
	// }
	// cout << cnt[3][0][1] << endl;
	if (!vis[0][0][0]) {
		cout << "Draw\n";
	} else if (val[0][0][0]) {
		cout << "Lora\n";
	} else {
		cout << "Bobi\n";
	}
}

int t;

int main() {
	ios::sync_with_stdio(false);
	cin >> t;
	while (t--) {
		int n, a, b, k;
		cin >> n >> a >> b >> k;
		solve(n, a, b, k);
	}
}