#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
#define x first
#define y second
#define pb push_back
#define mp make_pair
using namespace std;

typedef long long ll;
typedef pair<int, int> point;

template<typename T1, typename T2> inline void chkmin(T1 &x, const T2 &y) {if (x > y) x = y;}
template<typename T1, typename T2> inline void chkmax(T1 &x, const T2 &y) {if (x < y) x = y;}

template<typename T1, typename T2> 
istream &operator >> (istream &_in, pair<T1, T2> &a) {
	_in >> a.x >> a.y;
	return _in;
} 

template<typename T> 
istream &operator >> (istream &_in, vector<T> &a) {
	for (auto &i : a) {
		_in >> i;
	}
	return _in;
} 

template<typename T1, typename T2> 
ostream &operator << (ostream &_out, const pair<T1, T2> &a) {
	_out << a.x << ' ' << a.y;
	return _out;
} 

template<typename T> 
ostream &operator << (ostream &_out, const vector<T> &a) {
	bool OK = false;
	for (auto &i : a) {
		if (OK) {
			_out<< ' ';
		} else {
			OK = true;
		}
		_out << i;
	}
	return _out;
} 


int readInt() {
	int v = 0;
	char c = getchar_unlocked();
	while ('0' <= c && c <= '9') {
		v = (v << 3) + (v << 1) + c - '0';
		c = getchar_unlocked();
	}
	return v;
}

void writeString(string s) {
	for (auto c : s) {
		putchar_unlocked(c);
	}
}

void writeInt(int v) {	
	writeString(to_string(v));
}

const int N = 2e6 + 1;

typedef unsigned char base;

base cnt[201][201][2];
base vis[201][201][2];
vector<pair<base, base>> redge[201][201][2];

void solve(base n, base a, base b, base k) {
	if (a > b) {
		writeString("Lora\n");
		return;
	}
	for (base i = 0; i < n; ++i) {
		for (base j = 0; j < n; ++j) {
			redge[i][j][0].clear();
			redge[i][j][1].clear();
		}
	}
	for (base i = 0; i < n; ++i) {
		for (base j = 0; j < n; ++j) {
			cnt[i][j][0] = cnt[i][j][1] = 0;
			vis[i][j][0] = vis[i][j][1] = false;
			for (base q = 1; q <= a; ++q) {
				if (i + q == j) {
					++cnt[i][j][0];
					redge[j][max((short)j - k, 0)][1].pb({i, j});
				} else {
					++cnt[i][j][0];
					redge[min(n - 1, i + q)][j][1].pb({i, j});
				}
			}
			for (base q = 1; q <= b; ++q) {
				if (j + q == i) {
					++cnt[i][j][1];
					redge[max((short)i - k, 0)][i][0].pb({i, j});
				} else {
					++cnt[i][j][1];
					redge[i][min(n - 1, j + q)][0].pb({i, j});
				}
			}
		}
	}
	queue<pair<pair<base, base>, base>> que;
	for (base i = 0; i + 1 < n; ++i) {
		vis[i][n - 1][0] = 1;
		que.push({{i, n - 1}, 0});
		vis[n - 1][i][1] = 1;
		que.push({{n - 1, i}, 1});	
	}
	while (que.size()) {
		auto cur = que.front();
		que.pop();
		base i = cur.x.x, j = cur.x.y, t = cur.y;
		if (vis[i][j][t] == 2) {
 			for (auto q : redge[i][j][t]) {
 				if (vis[q.x][q.y][!t]) continue;
  				if (!(--cnt[q.x][q.y][!t])) {
  					vis[q.x][q.y][!t] = 1;
  					que.push({q, !t});
 				}
 			}
		} else {
			for (auto q : redge[i][j][t]) {
 				if (vis[q.x][q.y][!t]) continue;
				vis[q.x][q.y][!t] = 2;
				que.push({q, !t});
 			}
		}
	}
	// cout << cnt[3][0][1] << endl;
	if (vis[0][0][0] == 0) {
		writeString("Draw\n");
	} else if (vis[0][0][0] == 2) {
		writeString("Lora\n");
	} else {
		writeString("Bobi\n");
	}
}

int t;

int main() {
	ios::sync_with_stdio(false);
	t = readInt();
	while (t--) {
		int n, a, b, k;
		n = readInt();
		a = readInt();
		b = readInt();
		k = readInt();
		solve(n, a, b, k);
	}
}