#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <bitset>
#include <algorithm>
#include <iomanip>
#include <string>
#include <cstring>
#include <iomanip>
#include <functional>
#include <numeric>
#include <random>
#include <cassert>
#define ll long long
#define ld long double
#define null NULL
#define all(a) a.begin(), a.end()

using namespace std;

template<class iterator> void output(iterator begin, iterator end, ostream &out = cerr) {
	while (begin != end) {
		out << (*begin) << " ";
		begin++;
	}
	out << endl;
}

template<class T> void output(T x, ostream &out = cerr) {
	output(x.begin(), x.end(), out);
}

template<class T> int chkmin(T &a, const T &b) {
	if (b < a) {
		a = b;
		return 1;
	}
	return 0;
}

template<class T> int chkmax(T &a, const T &b) {
	if (b > a) {
		a = b;
		return 1;
	}
	return 0;
}

void fast_io() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
}

vector<vector<int> > ans = {
	{0, 1, 4, 9, 11},
	{0, 1, 4, 10, 12, 17},
	{0, 1, 4, 10, 18, 23, 25},
	{0, 1, 4, 9, 15, 22, 32, 34},
	{0, 1, 5, 12, 25, 27, 35, 41, 44},
	{0, 1, 6, 10, 23, 26, 34, 41, 53, 55},
	{0, 1, 4, 13, 28, 33, 47, 54, 64, 70, 72},
	{0, 2, 6, 24, 29, 40, 43, 55, 68, 75, 76, 85},
	{0, 2, 5, 25, 37, 43, 59, 70, 85, 89, 98, 99, 106},
	{0, 4, 6, 20, 35, 52, 59, 77, 78, 86, 89, 99, 122, 127}
};

void check() {
	for (int i = 0; i < ans.size(); ++i) {
		cerr << "---" << endl;
		vector<int> cur = ans[i];
		set<int> diff;
		for (int j1 = 0; j1 < cur.size(); ++j1) {
			for (int j2 = j1 + 1; j2 < cur.size(); ++j2) {
				int cd = cur[j2] - cur[j1];
				if (diff.find(cd) != diff.end()) {
					assert(0);
				}
				else {
					cerr << "ok " << cd << endl;
				}
			}
		}
	}
}

signed main() {
	//check();

	int n;
	cin >> n;
	n -= 5;
	output(ans[n], cout);
}
