#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <map>
#include <bitset>
#include <algorithm>
#include <iomanip>
#include <string>
#include <cstring>
#include <iomanip>
#include <functional>
#include <numeric>
#include <random>
#include <cassert>
#define ll long long
#define ld long double
#define null NULL
#define all(a) a.begin(), a.end()

using namespace std;

template<class iterator> void output(iterator begin, iterator end, ostream &out = cerr) {
	while (begin != end) {
		out << (*begin) << " ";
		begin++;
	}
	out << endl;
}

template<class T> void output(T x, ostream &out = cerr) {
	output(x.begin(), x.end(), out);
}

template<class T> int chkmin(T &a, const T &b) {
	if (b < a) {
		a = b;
		return 1;
	}
	return 0;
}

template<class T> int chkmax(T &a, const T &b) {
	if (b > a) {
		a = b;
		return 1;
	}
	return 0;
}

void fast_io() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
}

const int mx = 100;
vector<int> a, ans;
int n, diff[mx + 1], best_val = mx;

void go() {
	if (a.size() == n) {
		best_val = a.back();
		ans = a;
		return;
	}

	int last_val = a.back();
	for (int i = last_val + 1; i < best_val; ++i) {
		int ok = 1;
		for (auto x : a) {
			if (diff[i - x]) {
				ok = 0;
				break;
			}
		}

		if (ok) {
			for (auto x : a) {
				diff[i - x] = 1;
			}
			a.push_back(i);

			go();

			a.pop_back();
			for (auto x : a) {
				diff[i - x] = 0;
			}
		}
	}
}

signed main() {
	cin >> n;
	a = {0};
	go();
	for (int i = 0; i < ans.size(); ++i) {
		cout << ans[i];
		if (i != ans.size() - 1) {
			cout << ", ";
		}
	}
	cout << endl;
}
