#include <bits/stdc++.h>
using namespace std;

#define rep(i, n) for (int (i) = 0; (i) < (n); ++(i))
#define all(x) (x).begin(), (x).end()
#define f first
#define s second
using ll = long long;
using ld = long double;
using pii = pair<int, int>;

const int MAXN = 2005;
int n, a[2], d, t;

int dp[MAXN][MAXN][2];
int cnt[MAXN][MAXN][2];

struct state {
    int i, j, k;
};

queue<state> q;

void upd(int i, int j, int k, int val) {
    // cout << "to " << i << ' ' << j << ' ' << k << endl;
    if (cnt[i][j][k] <= 0) {
        cout << i << ' ' << j << ' ' << k << endl;
        assert(false);
    }
    if (dp[i][j][k] != -1) return;

    cnt[i][j][k]--;
    if (val == k) {
        dp[i][j][k] = k;
        q.push({i, j, k});
    } else if (cnt[i][j][k] == 0) {
        dp[i][j][k] = k ^ 1;
        q.push({i, j, k});
    }
}

void solve(int test) {
    cin >> n >> a[0] >> a[1] >> d;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            dp[i][j][0] = dp[i][j][1] = -1;
            cnt[i][j][0] = 0;
        }
    }

    while (!q.empty()) q.pop();

    for (int i = 0; i < n - 1; ++i) {
        dp[n - 1][i][1] = 0;
        dp[i][n - 1][0] = 1;

        q.push({n - 1, i, 1});
        q.push({i, n - 1, 0});
    }
    
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (i == j && i != 0) continue;

            cnt[i][j][0] = min(n - 1 - i, a[0]);
            cnt[i][j][1] = min(n - 1 - j, a[1]);
        }
    }


    while (!q.empty()) {
        auto v = q.front();
        q.pop();

        int i = v.i, j = v.j, k = v.k;
        assert(i != j || i == 0);

        // cout << "Processing " << i << ' ' << j << ' ' << k << endl;

        if (k == 0) {
            if (i < j) {
                if (j - i == d) {
                    for (int from = max(0, j - a[k ^ 1]); from < j; ++from) {
                        upd(j, from, k ^ 1, dp[i][j][k]);
                    }
                }

                for (int from = max(0, j - a[k ^ 1]); from < j; ++from) {
                    if (from != i || i == 0) upd(i, from, k ^ 1, dp[i][j][k]);
                }
            } else {
                for (int from = max(0, j - a[k ^ 1]); from < j; ++from) {
                    if (from != i || i == 0) upd(i, from, k ^ 1, dp[i][j][k]);
                }
            }
        } else {
            if (j < i) {
                if (i - j == d) {
                    for (int from = max(0, i - a[k ^ 1]); from < i; ++from) {
                        upd(from, i, k ^ 1, dp[i][j][k]);
                    }
                }

                for (int from = max(0, i - a[k ^ 1]); from < i; ++from) {
                    if (from != j || j == 0) upd(from, j, k ^ 1, dp[i][j][k]);
                }
            } else {
                for (int from = max(0, i - a[k ^ 1]); from < i; ++from) {
                    if (from != j || j == 0) upd(from, j, k ^ 1, dp[i][j][k]);
                }
            }
        }
    }

    // cout << '\t';
    // for (int i = 0; i < n; ++i) {
    //     cout << i << '\t';
    // }
    // cout << endl;
    // for (int i = 0; i < n; ++i) {
    //     cout << i << '\t';
    //     for (int j = 0; j < n; ++j) {
    //         cout << dp[i][j][0] << '\t';
    //     }
    //     cout << endl;
    // }

    if (dp[0][0][0] == 0) {
        cout << "Lora\n";
    } else if (dp[0][0][0] == 1) {
        cout << "Bobi\n";
    } else {
        cout << "Draw\n";
    }
}

int main() {
    cin >> t;
    rep(i, t) {
        solve(i);
    }
    
}