#include <bits/stdc++.h>

#define ll long long
#define mp make_pair
#define pb push_back
#define X first
#define Y second
#define pii pair<int, int>

using namespace std;

int solve();

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    #ifdef DEBUG
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // DEBUG
    solve();
    return 0;
}

const int N = 10;

int p[N][N];
int dp[60000];
int a[N], b[N];
set<int> unused;
int n, m;

int get()
{
    int ans = 0;
    for (int mask = 0; mask < pow(3, n); mask++)
    {
        int cnt = 0;
        bool f = true;
        for (int i = 0; i < n; i++)
        {
            int bit = mask / pow(3, i);
            bit %= 3;
            if (bit == 0)
            {
                cnt++;
                if (unused.find(i) == unused.end())
                {
                    f = false;
                    break;
                }
            }
        }
        if (cnt != (int)unused.size())
            f = false;
        if (f)
            ans = max(ans, dp[mask]);
    }
    return ans;
}

int solve()
{
    cin >> n >> m;
    for (int i = 0; i < n; i++)
        cin >> a[i];
    for (int i = 0; i < n; i++)
        cin >> b[i];
    for (int i = 0; i < m; i++)
    {
        int x, y, c;
        cin >> x >> y >> c;
        x--; y--;
        p[x][y] = p[y][x] = c;
    }
    for (int mask = 0; mask < pow(3, n); mask++)
    {
        for (int i = 0; i < n; i++)
        {
            int bit = mask / pow(3, i);
            bit %= 3;
            if (bit == 0)
                continue;
            if (bit == 1)
                dp[mask] += a[i];
            else
                dp[mask] += b[i];
            for (int j = i + 1; j < n; j++)
            {
                int c = (mask / (int)pow(3, j)) % 3;
                if (c == 0)
                    continue;
                if (c != bit)
                    dp[mask] -= p[i][j];
            }
        }
    }
    cout << get() << endl;
    int q;
    cin >> q;
    while (q--)
    {
        int type;
        cin >> type;
        if (type == 1)
        {
            int x;
            cin >> x;
            x--;
            unused.erase(x);
        }
        if (type == 2)
        {
            int x;
            cin >> x;
            x--;
            unused.insert(x);
        }
        if (type == 3)
        {
            unused.clear();
        }
        if (type == 4)
        {
            for (int i = 0; i < n / 5; i++)
                unused.insert(i);
        }
        if (type == 1 || type == 2)
            cout << get() << endl;
    }
    return 0;
}

