#include <bits/stdc++.h>

#define ll long long
#define mp make_pair
#define pb push_back
#define X first
#define Y second
#define pii pair<int, int>

using namespace std;

int solve();

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    #ifdef DEBUG
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // DEBUG
    int t;
    cin >> t;
    while(t--)
        solve();
    return 0;
}

const int MAXN = 2005;

bool good[MAXN][MAXN][2];

int solve()
{
    int n, l, b, k;
    cin >> n >> l >> b >> k;
    if (1 + l >= n)
    {
        cout << "Lora" << endl;
        return 0;
    }
    if (1 + b >= n)
    {
        cout << "Bobi" << endl;
        return 0;
    }
    if (l > b)
    {
        cout << "Lora" << endl;
        return 0;
    }
    if (l == b && l == k)
    {
        cout << "Draw" << endl;
        return 0;
    }
    memset(good, 0, sizeof(good));
    for (int i = 1; i < n; i++)
    {
        good[n][i][0] = good[n][i][1] = 1;
    }
    for (int i = n - 1; i >= 0; i--)
        for (int j = n - 1; j >= 0; j--)
        {
            good[i][j][0] = 0;
            for (int c = 1; c <= l && i + c <= n; c++)
            {
                if (i + c != j && good[i + c][j][1])
                {
                    good[i][j][0] = 1;
                    break;
                }
                if (i + c == j && good[j - k][j][0])
                {
                    good[i][j][0] = 1;
                    break;
                }
            }
            good[i][j][1] = 1;
            for (int c = 1; c <= b && j + c <= n; c++)
            {
                if (j + c != i && !good[i][j + c][0])
                {
                    good[i][j][1] = 0;
                    break;
                }
                if (j + c == i && !good[i][i - k][1])
                {
                    good[i][j][1] = 0;
                    break;
                }
            }
        }
    if (good[1][1][0])
        cout << "Lora" << endl;
    else
        cout << "Bobi" << endl;
    return 0;
}
