#include <bits/stdc++.h>

#define ll long long
#define mp make_pair
#define pb push_back
#define X first
#define Y second
#define pii pair<int, int>

using namespace std;

int solve();

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    #ifdef DEBUG
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // DEBUG
    int t;
    cin >> t;
    while(t--)
        solve();
    return 0;
}

const int MAXN = 2005;

int good[MAXN][MAXN][2];
int col[MAXN][MAXN][2];
int n, l, b, k;

void calc(int i, int j, int t)
{
    //cerr << i << ' ' << j << ' ' << t << endl;
    col[i][j][t] = 1;
    if (i == n && j == n)
        return;
    if (i == n)
    {
        if (t == 0)
            good[i][j][t] = 1;
        else
            good[i][j][t] = 0;
        return;
    }
    if (j == n)
    {
        if (t == 0)
            good[i][j][t] = 0;
        else
            good[i][j][t] = 1;
        return;
    }
    if (t == 0)
    {
        bool f = false;
        for (int c = 1; c <= l && i + c <= n; c++)
        {
            int ty = j;
            if (i + c == j)
                ty = max(1, j - k);
            if (col[i + c][ty][1] == 0)
                calc(i + c, ty, 1);
            if (good[i + c][ty][1] == -1)
                f = true;
            if (good[i + c][ty][1] == 0)
            {
                good[i][j][t] = 1;
                break;
            }
        }
        if (good[i][j][t] == -1 && !f)
            good[i][j][t] = 0;
    }
    else
    {
        bool f = false;
        for (int c = 1; c <= b && j + c <= n; c++)
        {
            int tx = i;
            if (j + c == i)
                tx = max(1, i - k);
            if (col[tx][j + c][0] == 0)
                calc(tx, j + c, 0);
            if (good[tx][j + c][0] == -1)
                f = true;
            if (good[tx][j + c][0] == 0)
            {
                good[i][j][t] = 1;
                break;
            }
        }
        if (good[i][j][t] == -1 && !f)
            good[i][j][t] = 0;
    }
    if (good[i][j][t] != -1)
        col[i][j][t] = 2;
}

int solve()
{
    cin >> n >> l >> b >> k;
    if (1 + l >= n)
    {
        cout << "Lora" << endl;
        return 0;
    }
    if (1 + b >= n)
    {
        cout << "Bobi" << endl;
        return 0;
    }
    if (l > b)
    {
        cout << "Lora" << endl;
        return 0;
    }
    if (l == b && l == k)
    {
        cout << "Draw" << endl;
        return 0;
    }
    memset(good, -1, sizeof(good));
    memset(col, 0, sizeof(col));
    calc(1, 1, 0);
    if (good[1][1][0] == 1)
        cout << "Lora" << endl;
    else
        cout << "Bobi" << endl;
    //cout << good[1][1][0] << endl;
    return 0;
}

