#include <bits/stdc++.h>

using namespace std;

#define ll long long

const int N = 1e5, M = 205;
vector<int> v[N];
int deg[N], res[N];

int n, l, b, k;

void printMask(int x) {
    printf("%d %d %d\n", x / 2 / n, x / 2 % n, x % 2);
}

int f(int a, int b, int c) {
    return (a * n + b) * 2 + c;
}


void dfs(int node) {
    if (res[node] == -1) {
        for (int to : v[node]) {
            if (!res[to]) {
                res[to] = 1;
                dfs(to);
            }
        }
    }
    else if (res[node] == 1) {
        for (int to : v[node]) {
            if (!res[to]) {
                deg[to]--;
                if (deg[to] == 0) {
                    res[to] = -1;
                    dfs(to);
                }
            }
        }
    }
}


int main()
{
    #ifdef HOME
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // HOME

    int t;
    scanf("%d", &t);

    while (t--) {

        scanf("%d%d%d%d", &n, &l, &b, &k);


        for (int i = 0; i < n - 1; i++) {
            for (int j = 0; j < n - 1; j++) {
                for (int z = 1; z <= l && z + i < n; z++) {
                    if (i + z == j)
                        v[f(i + z, max(j - k, 0), 1)].push_back(f(i, j, 0));
                    else {
                        v[f(i + z, j, 1)].push_back(f(i, j, 0));
                    }
                }
                for (int z = 1; z <= b && j + z < n; z++) {
                    if (j + z == i)
                        v[f(max(0, i - k), j + z, 0)].push_back(f(i, j, 1));
                    else
                        v[f(i, j + z, 0)].push_back(f(i, j, 1));
                }
            }
        }

        int m = n * n * 2;
        for (int i = 0; i < m; i++) {
            for (int to : v[i]) {
                deg[to]++;
            }
        }
//
//        for (int to : v[f(n - 1, 0, 1)]) {
//            printf("!");
//            printMask(to);
//        }

        for (int i = 0; i < n - 1; i++) {
            res[f(n - 1, i, 1)] = -1;
            dfs(f(n - 1, i, 1));

            res[f(i, n - 1, 0)] = -1;
            dfs(f(i, n - 1, 0));
        }

        if (res[0] == 1)
            printf("Lora\n");
        else if (res[0] == -1)
            printf("Bob\n");
        else
            printf("Draw\n");

        for (int i = 0; i < m; i++)
            v[i].clear(), deg[i] = 0, res[i] = 0;
    }

    return 0;
}
