#include <bits/stdc++.h>

using namespace std;

#define all(x) (x).begin(), x.end()
#define size(s) (int)(s).size()

void bye() {
    cout << "\n";
    exit(0);
}

map<pair<int, pair<int, bool> >, int> win;
int n, l, bo, k;

int solve(int a, int b, bool kek) {
    if (win.find({a, {b, kek}}) != win.end()) {
        return win[{a, {b, kek}}];
    }
    win[{a, {b, kek}}] = -1;
    if (a == n) {
        win[{a, {b, kek}}] = 1;
        return 1;
    } else if (b == n) {
        win[{a, {b, kek}}] = 0;
        return 0;
    }
    if (!kek) {
        int res = 0;
        bool can_draw = 0;
        for (int i = a + 1; i <= min(n, a + l); i++) {
            int req = 0;
            if (i == b) {
                req = solve(i, max(0, b - k), kek ^ 1);
            } else {
                res = solve(i, b, kek ^ 1);
            }
            if (req == -1) {
                can_draw = 1;
            } else {
                res = max(res, req);
            }
            if (res) {
                break;
            }
        }
        if (res == 0 && can_draw) {
            res = -1;
        }
        win[{a, {b, kek}}] = res;
        return res;
    } else {
        int res = 1;
        bool can_draw = 0;
        for (int i = b + 1; i <= min(n, b + bo); i++) {
            int req = 1;
            if (i == a) {
                req = solve(max(a - k, 0), i, kek ^ 1);
            } else {
                req = solve(a, i, kek ^ 1);
            }
            if (req == -1) {
                can_draw = 1;
            } else {
                res = min(res, req);
            }
            if (!res) {
                break;
            }
        }
        if (res == 1 && can_draw) {
            res = -1;
        }
        win[{a, {b, kek}}] = res;
        return res;
    }
}

string get(int N, int L, int B, int K) {
    win.clear();
    n = N, l = L, bo = B, k = K;
    if (bo == l && n > l) {
        return "Draw\n";
    }
    int res = solve(0, 0, 0);
    if (res == 0) {
        return "Bobi\n";
    } else if (res == 1) {
        return "Lora\n";
    } else {
        return "Draw\n";
    }
}

int main() {
    #ifdef TIM
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int t;
    cin >> t;
    while (t--) {
        int N, L, B, K;
        cin >> N >> L >> B >> K;
        cout << get(N, L, B, K);
    }
    bye();
}
