#include <iostream>
#include <stdio.h>
#include <algorithm>
#include <math.h>
#include <string>
#include <vector>
#include <queue>
#include <stack>
#include <deque>
#include <map>
#include <unordered_map>
#include <set>
#include <iterator>
#include <random>
using namespace std;
typedef long long ll;

int n, l, b, k;

int ans[209][209][2];

int game(int pos1, int pos2, int turn) {
	if(ans[pos1][pos2][turn] != -2) {
		return ans[pos1][pos2][turn];
	}
	if(pos1 == n) {
		return 0;
	}
	if(pos2 == n) {
		return 1;
	}
	ans[pos1][pos2][turn] = -1;
	bool isdr = false;
	if(turn == 0) {
		for(int i = 1; i <= l && i + pos1 <= n; i++) {
			int k1 = pos1 + i, k2 = pos2;
			if(k1 == k2) {
				k2 = max(1, k2 - k);
			}
			if(ans[k1][k2][2 - turn] == -2) {
				int g = game(k1, k2, 1 - turn);
				if(g == 0) {
					ans[pos1][pos2][turn] = 0;
					return 0;
				}else if(g == 2) {
					isdr = true;
				}
			}else if(ans[k1][k2][1 - turn] == -1) {
				isdr = true;
			}else {
				int g = ans[k1][k2][1 - turn];
				if(g == 0) {
					ans[pos1][pos2][turn] = 0;
					return 0;
				}else if(g == 2) {
					isdr = true;
				}
			}
		}
		if(isdr) {
			ans[pos1][pos2][turn] = 2;
			return 2;
		}else {
			ans[pos1][pos2][turn] = 1;
			return 1;
		}
	}else {
		for(int i = 1; i <= b && i + pos2 <= n; i++) {
			int k1 = pos1, k2 = pos2 + i;
			if(k1 == k2) {
				k1 = max(1, k1 - k);
			}
			if(ans[k1][k2][1 - turn] == -2) {
				int g = game(k1, k2, 1 - turn);
				if(g == 1) {
					ans[pos1][pos2][turn] = 1;
					return 1;
				}else if(g == 2) {
					isdr = true;
				}
			}else if(ans[k1][k2][1 - turn] == -1) {
				isdr = true;
			}else {
				int g = ans[k1][k2][1 - turn];
				if(g == 1) {
					ans[pos1][pos2][turn] = 1;
					return 1;
				}else if(g == 2) {
					isdr = true;
				}
			}
		}
		if(isdr) {
			ans[pos1][pos2][turn] = 2;
			return 2;
		}else {
			ans[pos1][pos2][turn] = 0;
			return 0;
		}
	}
}

signed main() {
#pragma warning(disable:4996)
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	int t;
	cin >> t;
	for(int tt = 0; tt < t; tt++) {
		cin >> n >> l >> b >> k;
		for(int i = 0; i < n + 1; i++) {
			for(int j = 0; j < n + 1; j++) {
				ans[i][j][0] = -2;
				ans[i][j][1] = -2;
			}
		}
		int res = game(1, 1, 0);
		if(res == 0) {
			cout << "Lora";
		}else if(res == 1) {
			cout << "Bobi";
		}else {
			cout << "Draw";
		}
		cout << "\n";
	}
    return 0;
}