#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

#define f first
#define s second
#define size(a) (ll)a.size()
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()

ll n, l, b, k;

vector<vector<vector<int>>> used;

int dfs(ll x, ll y, ll t)
{
    //cout << x << " " << y << " " << t << "\n";
    if (x == n) return used[x][y][t] = 1;
    if (y == n) return used[x][y][t] = -1;
    used[x][y][t] = 2;
    map <int, bool> mp;
    mp[-1] = mp[0] = mp[1] = 0;
    t = (t + 1) % 2;
    for (int i = 1; i <= (t == 1?l:b); i++)
    {
        ll xx = x + i;
        if (xx > n) break;
        ll yy = y;
        if (xx == yy)
        {
            yy = max(yy - k, 1ll);
        }
        if (used[yy][xx][t] == 2)
        {
            mp[0] = 1;
            continue;
        }
        if (used[yy][xx][t] == -100)
        {
            mp[dfs(yy, xx, t)] = 1;
        }
        else mp[used[yy][xx][t]] = 1;
    }
    t = (t + 1) % 2;
    if (mp[-1])
        return used[x][y][t] = 1;
    if (mp[0])
        return used[x][y][t] = 0;
    if (mp[1])
        return used[x][y][t] = -1;
}

void solve()
{
    cin >> n >> l >> b >> k;
    l--;
    b--;
    used.clear();
    used.resize(n + 1, vector <vector<int>> (n + 1, vector <int> (2, -100)));
    int tmp = dfs(1, 1, 0);
    if (tmp == 1) cout << "Lora";
    if (tmp == -1) cout << "Bobi";
    if (tmp == 0) cout << "Draw";
    cout << "\n";
    return;
}

int main()
{
    ios::sync_with_stdio(0);
    #ifdef HOME
    freopen("code.in", "r", stdin);
    freopen("code.out", "w", stdout);
    #endif // HOME
    ll t;
    cin >> t;
    for (int i = 0; i < t; i++)
    {
        solve();
    }
    return 0;
}
